/*******************************************************************************
* File Name: ACC_ENABLE.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_ACC_ENABLE_H) /* Pins ACC_ENABLE_H */
#define CY_PINS_ACC_ENABLE_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ACC_ENABLE_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    ACC_ENABLE_Write(uint8 value);
void    ACC_ENABLE_SetDriveMode(uint8 mode);
uint8   ACC_ENABLE_ReadDataReg(void);
uint8   ACC_ENABLE_Read(void);
uint8   ACC_ENABLE_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ACC_ENABLE_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define ACC_ENABLE_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define ACC_ENABLE_DM_RES_UP          PIN_DM_RES_UP
#define ACC_ENABLE_DM_RES_DWN         PIN_DM_RES_DWN
#define ACC_ENABLE_DM_OD_LO           PIN_DM_OD_LO
#define ACC_ENABLE_DM_OD_HI           PIN_DM_OD_HI
#define ACC_ENABLE_DM_STRONG          PIN_DM_STRONG
#define ACC_ENABLE_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define ACC_ENABLE_MASK               ACC_ENABLE__MASK
#define ACC_ENABLE_SHIFT              ACC_ENABLE__SHIFT
#define ACC_ENABLE_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ACC_ENABLE_PS                     (* (reg8 *) ACC_ENABLE__PS)
/* Data Register */
#define ACC_ENABLE_DR                     (* (reg8 *) ACC_ENABLE__DR)
/* Port Number */
#define ACC_ENABLE_PRT_NUM                (* (reg8 *) ACC_ENABLE__PRT) 
/* Connect to Analog Globals */                                                  
#define ACC_ENABLE_AG                     (* (reg8 *) ACC_ENABLE__AG)                       
/* Analog MUX bux enable */
#define ACC_ENABLE_AMUX                   (* (reg8 *) ACC_ENABLE__AMUX) 
/* Bidirectional Enable */                                                        
#define ACC_ENABLE_BIE                    (* (reg8 *) ACC_ENABLE__BIE)
/* Bit-mask for Aliased Register Access */
#define ACC_ENABLE_BIT_MASK               (* (reg8 *) ACC_ENABLE__BIT_MASK)
/* Bypass Enable */
#define ACC_ENABLE_BYP                    (* (reg8 *) ACC_ENABLE__BYP)
/* Port wide control signals */                                                   
#define ACC_ENABLE_CTL                    (* (reg8 *) ACC_ENABLE__CTL)
/* Drive Modes */
#define ACC_ENABLE_DM0                    (* (reg8 *) ACC_ENABLE__DM0) 
#define ACC_ENABLE_DM1                    (* (reg8 *) ACC_ENABLE__DM1)
#define ACC_ENABLE_DM2                    (* (reg8 *) ACC_ENABLE__DM2) 
/* Input Buffer Disable Override */
#define ACC_ENABLE_INP_DIS                (* (reg8 *) ACC_ENABLE__INP_DIS)
/* LCD Common or Segment Drive */
#define ACC_ENABLE_LCD_COM_SEG            (* (reg8 *) ACC_ENABLE__LCD_COM_SEG)
/* Enable Segment LCD */
#define ACC_ENABLE_LCD_EN                 (* (reg8 *) ACC_ENABLE__LCD_EN)
/* Slew Rate Control */
#define ACC_ENABLE_SLW                    (* (reg8 *) ACC_ENABLE__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ACC_ENABLE_PRTDSI__CAPS_SEL       (* (reg8 *) ACC_ENABLE__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ACC_ENABLE_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ACC_ENABLE__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ACC_ENABLE_PRTDSI__OE_SEL0        (* (reg8 *) ACC_ENABLE__PRTDSI__OE_SEL0) 
#define ACC_ENABLE_PRTDSI__OE_SEL1        (* (reg8 *) ACC_ENABLE__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ACC_ENABLE_PRTDSI__OUT_SEL0       (* (reg8 *) ACC_ENABLE__PRTDSI__OUT_SEL0) 
#define ACC_ENABLE_PRTDSI__OUT_SEL1       (* (reg8 *) ACC_ENABLE__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ACC_ENABLE_PRTDSI__SYNC_OUT       (* (reg8 *) ACC_ENABLE__PRTDSI__SYNC_OUT) 


#if defined(ACC_ENABLE__INTSTAT)  /* Interrupt Registers */

    #define ACC_ENABLE_INTSTAT                (* (reg8 *) ACC_ENABLE__INTSTAT)
    #define ACC_ENABLE_SNAP                   (* (reg8 *) ACC_ENABLE__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins ACC_ENABLE_H */


/* [] END OF FILE */
