/*******************************************************************************
* File Name: CLKIN.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_CLKIN_H) /* Pins CLKIN_H */
#define CY_PINS_CLKIN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CLKIN_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    CLKIN_Write(uint8 value);
void    CLKIN_SetDriveMode(uint8 mode);
uint8   CLKIN_ReadDataReg(void);
uint8   CLKIN_Read(void);
uint8   CLKIN_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CLKIN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define CLKIN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define CLKIN_DM_RES_UP          PIN_DM_RES_UP
#define CLKIN_DM_RES_DWN         PIN_DM_RES_DWN
#define CLKIN_DM_OD_LO           PIN_DM_OD_LO
#define CLKIN_DM_OD_HI           PIN_DM_OD_HI
#define CLKIN_DM_STRONG          PIN_DM_STRONG
#define CLKIN_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define CLKIN_MASK               CLKIN__MASK
#define CLKIN_SHIFT              CLKIN__SHIFT
#define CLKIN_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CLKIN_PS                     (* (reg8 *) CLKIN__PS)
/* Data Register */
#define CLKIN_DR                     (* (reg8 *) CLKIN__DR)
/* Port Number */
#define CLKIN_PRT_NUM                (* (reg8 *) CLKIN__PRT) 
/* Connect to Analog Globals */                                                  
#define CLKIN_AG                     (* (reg8 *) CLKIN__AG)                       
/* Analog MUX bux enable */
#define CLKIN_AMUX                   (* (reg8 *) CLKIN__AMUX) 
/* Bidirectional Enable */                                                        
#define CLKIN_BIE                    (* (reg8 *) CLKIN__BIE)
/* Bit-mask for Aliased Register Access */
#define CLKIN_BIT_MASK               (* (reg8 *) CLKIN__BIT_MASK)
/* Bypass Enable */
#define CLKIN_BYP                    (* (reg8 *) CLKIN__BYP)
/* Port wide control signals */                                                   
#define CLKIN_CTL                    (* (reg8 *) CLKIN__CTL)
/* Drive Modes */
#define CLKIN_DM0                    (* (reg8 *) CLKIN__DM0) 
#define CLKIN_DM1                    (* (reg8 *) CLKIN__DM1)
#define CLKIN_DM2                    (* (reg8 *) CLKIN__DM2) 
/* Input Buffer Disable Override */
#define CLKIN_INP_DIS                (* (reg8 *) CLKIN__INP_DIS)
/* LCD Common or Segment Drive */
#define CLKIN_LCD_COM_SEG            (* (reg8 *) CLKIN__LCD_COM_SEG)
/* Enable Segment LCD */
#define CLKIN_LCD_EN                 (* (reg8 *) CLKIN__LCD_EN)
/* Slew Rate Control */
#define CLKIN_SLW                    (* (reg8 *) CLKIN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CLKIN_PRTDSI__CAPS_SEL       (* (reg8 *) CLKIN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CLKIN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CLKIN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CLKIN_PRTDSI__OE_SEL0        (* (reg8 *) CLKIN__PRTDSI__OE_SEL0) 
#define CLKIN_PRTDSI__OE_SEL1        (* (reg8 *) CLKIN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CLKIN_PRTDSI__OUT_SEL0       (* (reg8 *) CLKIN__PRTDSI__OUT_SEL0) 
#define CLKIN_PRTDSI__OUT_SEL1       (* (reg8 *) CLKIN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CLKIN_PRTDSI__SYNC_OUT       (* (reg8 *) CLKIN__PRTDSI__SYNC_OUT) 


#if defined(CLKIN__INTSTAT)  /* Interrupt Registers */

    #define CLKIN_INTSTAT                (* (reg8 *) CLKIN__INTSTAT)
    #define CLKIN_SNAP                   (* (reg8 *) CLKIN__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins CLKIN_H */


/* [] END OF FILE */
