/*******************************************************************************
* File Name: CLKOUT.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_CLKOUT_H) /* Pins CLKOUT_H */
#define CY_PINS_CLKOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "CLKOUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    CLKOUT_Write(uint8 value);
void    CLKOUT_SetDriveMode(uint8 mode);
uint8   CLKOUT_ReadDataReg(void);
uint8   CLKOUT_Read(void);
uint8   CLKOUT_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define CLKOUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define CLKOUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define CLKOUT_DM_RES_UP          PIN_DM_RES_UP
#define CLKOUT_DM_RES_DWN         PIN_DM_RES_DWN
#define CLKOUT_DM_OD_LO           PIN_DM_OD_LO
#define CLKOUT_DM_OD_HI           PIN_DM_OD_HI
#define CLKOUT_DM_STRONG          PIN_DM_STRONG
#define CLKOUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define CLKOUT_MASK               CLKOUT__MASK
#define CLKOUT_SHIFT              CLKOUT__SHIFT
#define CLKOUT_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define CLKOUT_PS                     (* (reg8 *) CLKOUT__PS)
/* Data Register */
#define CLKOUT_DR                     (* (reg8 *) CLKOUT__DR)
/* Port Number */
#define CLKOUT_PRT_NUM                (* (reg8 *) CLKOUT__PRT) 
/* Connect to Analog Globals */                                                  
#define CLKOUT_AG                     (* (reg8 *) CLKOUT__AG)                       
/* Analog MUX bux enable */
#define CLKOUT_AMUX                   (* (reg8 *) CLKOUT__AMUX) 
/* Bidirectional Enable */                                                        
#define CLKOUT_BIE                    (* (reg8 *) CLKOUT__BIE)
/* Bit-mask for Aliased Register Access */
#define CLKOUT_BIT_MASK               (* (reg8 *) CLKOUT__BIT_MASK)
/* Bypass Enable */
#define CLKOUT_BYP                    (* (reg8 *) CLKOUT__BYP)
/* Port wide control signals */                                                   
#define CLKOUT_CTL                    (* (reg8 *) CLKOUT__CTL)
/* Drive Modes */
#define CLKOUT_DM0                    (* (reg8 *) CLKOUT__DM0) 
#define CLKOUT_DM1                    (* (reg8 *) CLKOUT__DM1)
#define CLKOUT_DM2                    (* (reg8 *) CLKOUT__DM2) 
/* Input Buffer Disable Override */
#define CLKOUT_INP_DIS                (* (reg8 *) CLKOUT__INP_DIS)
/* LCD Common or Segment Drive */
#define CLKOUT_LCD_COM_SEG            (* (reg8 *) CLKOUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define CLKOUT_LCD_EN                 (* (reg8 *) CLKOUT__LCD_EN)
/* Slew Rate Control */
#define CLKOUT_SLW                    (* (reg8 *) CLKOUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define CLKOUT_PRTDSI__CAPS_SEL       (* (reg8 *) CLKOUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define CLKOUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) CLKOUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define CLKOUT_PRTDSI__OE_SEL0        (* (reg8 *) CLKOUT__PRTDSI__OE_SEL0) 
#define CLKOUT_PRTDSI__OE_SEL1        (* (reg8 *) CLKOUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define CLKOUT_PRTDSI__OUT_SEL0       (* (reg8 *) CLKOUT__PRTDSI__OUT_SEL0) 
#define CLKOUT_PRTDSI__OUT_SEL1       (* (reg8 *) CLKOUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define CLKOUT_PRTDSI__SYNC_OUT       (* (reg8 *) CLKOUT__PRTDSI__SYNC_OUT) 


#if defined(CLKOUT__INTSTAT)  /* Interrupt Registers */

    #define CLKOUT_INTSTAT                (* (reg8 *) CLKOUT__INTSTAT)
    #define CLKOUT_SNAP                   (* (reg8 *) CLKOUT__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins CLKOUT_H */


/* [] END OF FILE */
