/*******************************************************************************
* File Name: CapSense_1.c
* Version 1.30
*
* Description:
*  This file provides the source code of Interrupt Service Routine (ISR)
*  for CapSense Component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions,
* disclaimers, and limitations in the end user license agreement accompanying
* the software package with which this file was provided.
*******************************************************************************/

#include "CapSense_1.h"


#if defined(CapSense_1_TOTAL_SENSOR_COUNT)
/*******************************************************************************
*  Place your includes, defines and code here
*******************************************************************************/
/* `#START CapSense_1_ISR_intc` */

/* `#END` */

/*******************************************************************************
* Function Name: CapSense_1_ISR
********************************************************************************
* Summary:
*  This ISR is executed when PWM window is closed. The widow depends on PWM 
*  resolution paramter. This interrupt handler only used in Serial  mode of 
*  CapSense operation.
*
* Parameters:
*  void:
*
* Return:
*  void
*
*******************************************************************************/
CY_ISR(CapSense_1_ISR)
{
    /*  Place your Interrupt code here. */
    /* `#START CapSense_1_ISR` */

    /* `#END` */
    CapSense_1_status &= ~CapSense_1_START_CAPSENSING;

    #if(CYDEV_CHIP_DIE_EXPECT == CYDEV_CHIP_DIE_LEOPARD)
        #if defined(CapSense_1_CSD_METHOD)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSense_1_sbCSD_cISR__ES2_PATCH))
                CapSense_1_ISR_PATCH();
            #endif
        #endif
        #if defined(CapSense_1_CSA_METHOD)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSense_1_sbCSA_cISR__ES2_PATCH))
                CapSense_1_ISR_PATCH();
            #endif
        #endif
    #endif
}
#endif


#if defined(CapSense_1_TOTAL_SENSOR_COUNT_LEFT)
/*******************************************************************************
*  Place your includes, defines and code here
*******************************************************************************/
/* `#START CapSense_1_ISRLeft_intc` */

/* `#END` */

/*******************************************************************************
* Function Name: CapSense_1_ISRLeft
********************************************************************************
* Summary:
*  This ISR is executed when PWM window is closed. The widow depends on PWM 
*  resolution paramter. This interrupt handler only used in Parallel  mode of 
*  CapSense operation.
*
* Parameters:
*  void
*
* Return:
*  void
*
*******************************************************************************/
CY_ISR(CapSense_1_ISRLeft)
{
    /*  Place your Interrupt code here. */
    /* `#START CapSense_1_ISRLeft` */

    /* `#END` */
    CapSense_1_statusLeft &= ~CapSense_1_START_CAPSENSING;

    #if(CYDEV_CHIP_DIE_EXPECT == CYDEV_CHIP_DIE_LEOPARD)
        #if defined(CapSense_1_CSD_METHOD_LEFT)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSense_1_lbCSD_cISR__ES2_PATCH))
                CapSense_1_ISR_PATCH();
            #endif
        #endif
        #if defined(CapSense_1_CSA_METHOD_LEFT)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSense_1_lbCSA_cISR__ES2_PATCH))
                CapSense_1_ISR_PATCH();
            #endif
        #endif
    #endif
}
#endif


#if defined(CapSense_1_TOTAL_SENSOR_COUNT_RIGHT)
/*******************************************************************************
*  Place your includes, defines and code here
*******************************************************************************/
/* `#START CapSense_1_ISRRight_intc` */

/* `#END` */

/*******************************************************************************
* Function Name: CapSense_1_ISRRight
********************************************************************************
* Summary:
*  This ISR is executed when PWM window is closed. The widow depends on PWM 
*  resolution paramter. This interrupt handler only used in Parallel  mode of 
*  CapSense operation.
*
* Parameters:
*  void
*
* Return:
*  void
*
*******************************************************************************/
CY_ISR(CapSense_1_ISRRight)
{
    /*  Place your Interrupt code here. */
    /* `#START CapSense_1_ISRRight` */

    /* `#END` */
    CapSense_1_statusRight &= ~CapSense_1_START_CAPSENSING;

    #if(CYDEV_CHIP_DIE_EXPECT == CYDEV_CHIP_DIE_LEOPARD)
        #if defined(CapSense_1_CSD_METHOD_RIGHT)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSense_1_rbCSD_cISR__ES2_PATCH))
                CapSense_1_ISR_PATCH();
            #endif
        #endif
        #if defined(CapSense_1_CSA_METHOD_RIGHT)
            #if((CYDEV_CHIP_REV_EXPECT <= CYDEV_CHIP_REV_LEOPARD_ES2) && (CapSense_1_rbCSA_cISR__ES2_PATCH))
                CapSense_1_ISR_PATCH();
            #endif
        #endif
    #endif
}
#endif


/* [] END OF FILE */
