/*******************************************************************************
* File Name: DBOUT.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_DBOUT_H) /* Pins DBOUT_H */
#define CY_PINS_DBOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DBOUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DBOUT_Write(uint8 value);
void    DBOUT_SetDriveMode(uint8 mode);
uint8   DBOUT_ReadDataReg(void);
uint8   DBOUT_Read(void);
uint8   DBOUT_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DBOUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DBOUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DBOUT_DM_RES_UP          PIN_DM_RES_UP
#define DBOUT_DM_RES_DWN         PIN_DM_RES_DWN
#define DBOUT_DM_OD_LO           PIN_DM_OD_LO
#define DBOUT_DM_OD_HI           PIN_DM_OD_HI
#define DBOUT_DM_STRONG          PIN_DM_STRONG
#define DBOUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DBOUT_MASK               DBOUT__MASK
#define DBOUT_SHIFT              DBOUT__SHIFT
#define DBOUT_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DBOUT_PS                     (* (reg8 *) DBOUT__PS)
/* Data Register */
#define DBOUT_DR                     (* (reg8 *) DBOUT__DR)
/* Port Number */
#define DBOUT_PRT_NUM                (* (reg8 *) DBOUT__PRT) 
/* Connect to Analog Globals */                                                  
#define DBOUT_AG                     (* (reg8 *) DBOUT__AG)                       
/* Analog MUX bux enable */
#define DBOUT_AMUX                   (* (reg8 *) DBOUT__AMUX) 
/* Bidirectional Enable */                                                        
#define DBOUT_BIE                    (* (reg8 *) DBOUT__BIE)
/* Bit-mask for Aliased Register Access */
#define DBOUT_BIT_MASK               (* (reg8 *) DBOUT__BIT_MASK)
/* Bypass Enable */
#define DBOUT_BYP                    (* (reg8 *) DBOUT__BYP)
/* Port wide control signals */                                                   
#define DBOUT_CTL                    (* (reg8 *) DBOUT__CTL)
/* Drive Modes */
#define DBOUT_DM0                    (* (reg8 *) DBOUT__DM0) 
#define DBOUT_DM1                    (* (reg8 *) DBOUT__DM1)
#define DBOUT_DM2                    (* (reg8 *) DBOUT__DM2) 
/* Input Buffer Disable Override */
#define DBOUT_INP_DIS                (* (reg8 *) DBOUT__INP_DIS)
/* LCD Common or Segment Drive */
#define DBOUT_LCD_COM_SEG            (* (reg8 *) DBOUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define DBOUT_LCD_EN                 (* (reg8 *) DBOUT__LCD_EN)
/* Slew Rate Control */
#define DBOUT_SLW                    (* (reg8 *) DBOUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DBOUT_PRTDSI__CAPS_SEL       (* (reg8 *) DBOUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DBOUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DBOUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DBOUT_PRTDSI__OE_SEL0        (* (reg8 *) DBOUT__PRTDSI__OE_SEL0) 
#define DBOUT_PRTDSI__OE_SEL1        (* (reg8 *) DBOUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DBOUT_PRTDSI__OUT_SEL0       (* (reg8 *) DBOUT__PRTDSI__OUT_SEL0) 
#define DBOUT_PRTDSI__OUT_SEL1       (* (reg8 *) DBOUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DBOUT_PRTDSI__SYNC_OUT       (* (reg8 *) DBOUT__PRTDSI__SYNC_OUT) 


#if defined(DBOUT__INTSTAT)  /* Interrupt Registers */

    #define DBOUT_INTSTAT                (* (reg8 *) DBOUT__INTSTAT)
    #define DBOUT_SNAP                   (* (reg8 *) DBOUT__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DBOUT_H */


/* [] END OF FILE */
