/*******************************************************************************
* File Name: DGOUT.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_DGOUT_H) /* Pins DGOUT_H */
#define CY_PINS_DGOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DGOUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DGOUT_Write(uint8 value);
void    DGOUT_SetDriveMode(uint8 mode);
uint8   DGOUT_ReadDataReg(void);
uint8   DGOUT_Read(void);
uint8   DGOUT_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DGOUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DGOUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DGOUT_DM_RES_UP          PIN_DM_RES_UP
#define DGOUT_DM_RES_DWN         PIN_DM_RES_DWN
#define DGOUT_DM_OD_LO           PIN_DM_OD_LO
#define DGOUT_DM_OD_HI           PIN_DM_OD_HI
#define DGOUT_DM_STRONG          PIN_DM_STRONG
#define DGOUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DGOUT_MASK               DGOUT__MASK
#define DGOUT_SHIFT              DGOUT__SHIFT
#define DGOUT_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DGOUT_PS                     (* (reg8 *) DGOUT__PS)
/* Data Register */
#define DGOUT_DR                     (* (reg8 *) DGOUT__DR)
/* Port Number */
#define DGOUT_PRT_NUM                (* (reg8 *) DGOUT__PRT) 
/* Connect to Analog Globals */                                                  
#define DGOUT_AG                     (* (reg8 *) DGOUT__AG)                       
/* Analog MUX bux enable */
#define DGOUT_AMUX                   (* (reg8 *) DGOUT__AMUX) 
/* Bidirectional Enable */                                                        
#define DGOUT_BIE                    (* (reg8 *) DGOUT__BIE)
/* Bit-mask for Aliased Register Access */
#define DGOUT_BIT_MASK               (* (reg8 *) DGOUT__BIT_MASK)
/* Bypass Enable */
#define DGOUT_BYP                    (* (reg8 *) DGOUT__BYP)
/* Port wide control signals */                                                   
#define DGOUT_CTL                    (* (reg8 *) DGOUT__CTL)
/* Drive Modes */
#define DGOUT_DM0                    (* (reg8 *) DGOUT__DM0) 
#define DGOUT_DM1                    (* (reg8 *) DGOUT__DM1)
#define DGOUT_DM2                    (* (reg8 *) DGOUT__DM2) 
/* Input Buffer Disable Override */
#define DGOUT_INP_DIS                (* (reg8 *) DGOUT__INP_DIS)
/* LCD Common or Segment Drive */
#define DGOUT_LCD_COM_SEG            (* (reg8 *) DGOUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define DGOUT_LCD_EN                 (* (reg8 *) DGOUT__LCD_EN)
/* Slew Rate Control */
#define DGOUT_SLW                    (* (reg8 *) DGOUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DGOUT_PRTDSI__CAPS_SEL       (* (reg8 *) DGOUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DGOUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DGOUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DGOUT_PRTDSI__OE_SEL0        (* (reg8 *) DGOUT__PRTDSI__OE_SEL0) 
#define DGOUT_PRTDSI__OE_SEL1        (* (reg8 *) DGOUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DGOUT_PRTDSI__OUT_SEL0       (* (reg8 *) DGOUT__PRTDSI__OUT_SEL0) 
#define DGOUT_PRTDSI__OUT_SEL1       (* (reg8 *) DGOUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DGOUT_PRTDSI__SYNC_OUT       (* (reg8 *) DGOUT__PRTDSI__SYNC_OUT) 


#if defined(DGOUT__INTSTAT)  /* Interrupt Registers */

    #define DGOUT_INTSTAT                (* (reg8 *) DGOUT__INTSTAT)
    #define DGOUT_SNAP                   (* (reg8 *) DGOUT__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DGOUT_H */


/* [] END OF FILE */
