/*******************************************************************************
* File Name: VDISP.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_VDISP_H) /* Pins VDISP_H */
#define CY_PINS_VDISP_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "VDISP_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    VDISP_Write(uint8 value);
void    VDISP_SetDriveMode(uint8 mode);
uint8   VDISP_ReadDataReg(void);
uint8   VDISP_Read(void);
uint8   VDISP_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define VDISP_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define VDISP_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define VDISP_DM_RES_UP          PIN_DM_RES_UP
#define VDISP_DM_RES_DWN         PIN_DM_RES_DWN
#define VDISP_DM_OD_LO           PIN_DM_OD_LO
#define VDISP_DM_OD_HI           PIN_DM_OD_HI
#define VDISP_DM_STRONG          PIN_DM_STRONG
#define VDISP_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define VDISP_MASK               VDISP__MASK
#define VDISP_SHIFT              VDISP__SHIFT
#define VDISP_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define VDISP_PS                     (* (reg8 *) VDISP__PS)
/* Data Register */
#define VDISP_DR                     (* (reg8 *) VDISP__DR)
/* Port Number */
#define VDISP_PRT_NUM                (* (reg8 *) VDISP__PRT) 
/* Connect to Analog Globals */                                                  
#define VDISP_AG                     (* (reg8 *) VDISP__AG)                       
/* Analog MUX bux enable */
#define VDISP_AMUX                   (* (reg8 *) VDISP__AMUX) 
/* Bidirectional Enable */                                                        
#define VDISP_BIE                    (* (reg8 *) VDISP__BIE)
/* Bit-mask for Aliased Register Access */
#define VDISP_BIT_MASK               (* (reg8 *) VDISP__BIT_MASK)
/* Bypass Enable */
#define VDISP_BYP                    (* (reg8 *) VDISP__BYP)
/* Port wide control signals */                                                   
#define VDISP_CTL                    (* (reg8 *) VDISP__CTL)
/* Drive Modes */
#define VDISP_DM0                    (* (reg8 *) VDISP__DM0) 
#define VDISP_DM1                    (* (reg8 *) VDISP__DM1)
#define VDISP_DM2                    (* (reg8 *) VDISP__DM2) 
/* Input Buffer Disable Override */
#define VDISP_INP_DIS                (* (reg8 *) VDISP__INP_DIS)
/* LCD Common or Segment Drive */
#define VDISP_LCD_COM_SEG            (* (reg8 *) VDISP__LCD_COM_SEG)
/* Enable Segment LCD */
#define VDISP_LCD_EN                 (* (reg8 *) VDISP__LCD_EN)
/* Slew Rate Control */
#define VDISP_SLW                    (* (reg8 *) VDISP__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define VDISP_PRTDSI__CAPS_SEL       (* (reg8 *) VDISP__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define VDISP_PRTDSI__DBL_SYNC_IN    (* (reg8 *) VDISP__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define VDISP_PRTDSI__OE_SEL0        (* (reg8 *) VDISP__PRTDSI__OE_SEL0) 
#define VDISP_PRTDSI__OE_SEL1        (* (reg8 *) VDISP__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define VDISP_PRTDSI__OUT_SEL0       (* (reg8 *) VDISP__PRTDSI__OUT_SEL0) 
#define VDISP_PRTDSI__OUT_SEL1       (* (reg8 *) VDISP__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define VDISP_PRTDSI__SYNC_OUT       (* (reg8 *) VDISP__PRTDSI__SYNC_OUT) 


#if defined(VDISP__INTSTAT)  /* Interrupt Registers */

    #define VDISP_INTSTAT                (* (reg8 *) VDISP__INTSTAT)
    #define VDISP_SNAP                   (* (reg8 *) VDISP__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins VDISP_H */


/* [] END OF FILE */
