/*******************************************************************************
* File Name: VSYNCOUT.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_VSYNCOUT_H) /* Pins VSYNCOUT_H */
#define CY_PINS_VSYNCOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "VSYNCOUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    VSYNCOUT_Write(uint8 value);
void    VSYNCOUT_SetDriveMode(uint8 mode);
uint8   VSYNCOUT_ReadDataReg(void);
uint8   VSYNCOUT_Read(void);
uint8   VSYNCOUT_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define VSYNCOUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define VSYNCOUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define VSYNCOUT_DM_RES_UP          PIN_DM_RES_UP
#define VSYNCOUT_DM_RES_DWN         PIN_DM_RES_DWN
#define VSYNCOUT_DM_OD_LO           PIN_DM_OD_LO
#define VSYNCOUT_DM_OD_HI           PIN_DM_OD_HI
#define VSYNCOUT_DM_STRONG          PIN_DM_STRONG
#define VSYNCOUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define VSYNCOUT_MASK               VSYNCOUT__MASK
#define VSYNCOUT_SHIFT              VSYNCOUT__SHIFT
#define VSYNCOUT_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define VSYNCOUT_PS                     (* (reg8 *) VSYNCOUT__PS)
/* Data Register */
#define VSYNCOUT_DR                     (* (reg8 *) VSYNCOUT__DR)
/* Port Number */
#define VSYNCOUT_PRT_NUM                (* (reg8 *) VSYNCOUT__PRT) 
/* Connect to Analog Globals */                                                  
#define VSYNCOUT_AG                     (* (reg8 *) VSYNCOUT__AG)                       
/* Analog MUX bux enable */
#define VSYNCOUT_AMUX                   (* (reg8 *) VSYNCOUT__AMUX) 
/* Bidirectional Enable */                                                        
#define VSYNCOUT_BIE                    (* (reg8 *) VSYNCOUT__BIE)
/* Bit-mask for Aliased Register Access */
#define VSYNCOUT_BIT_MASK               (* (reg8 *) VSYNCOUT__BIT_MASK)
/* Bypass Enable */
#define VSYNCOUT_BYP                    (* (reg8 *) VSYNCOUT__BYP)
/* Port wide control signals */                                                   
#define VSYNCOUT_CTL                    (* (reg8 *) VSYNCOUT__CTL)
/* Drive Modes */
#define VSYNCOUT_DM0                    (* (reg8 *) VSYNCOUT__DM0) 
#define VSYNCOUT_DM1                    (* (reg8 *) VSYNCOUT__DM1)
#define VSYNCOUT_DM2                    (* (reg8 *) VSYNCOUT__DM2) 
/* Input Buffer Disable Override */
#define VSYNCOUT_INP_DIS                (* (reg8 *) VSYNCOUT__INP_DIS)
/* LCD Common or Segment Drive */
#define VSYNCOUT_LCD_COM_SEG            (* (reg8 *) VSYNCOUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define VSYNCOUT_LCD_EN                 (* (reg8 *) VSYNCOUT__LCD_EN)
/* Slew Rate Control */
#define VSYNCOUT_SLW                    (* (reg8 *) VSYNCOUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define VSYNCOUT_PRTDSI__CAPS_SEL       (* (reg8 *) VSYNCOUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define VSYNCOUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) VSYNCOUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define VSYNCOUT_PRTDSI__OE_SEL0        (* (reg8 *) VSYNCOUT__PRTDSI__OE_SEL0) 
#define VSYNCOUT_PRTDSI__OE_SEL1        (* (reg8 *) VSYNCOUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define VSYNCOUT_PRTDSI__OUT_SEL0       (* (reg8 *) VSYNCOUT__PRTDSI__OUT_SEL0) 
#define VSYNCOUT_PRTDSI__OUT_SEL1       (* (reg8 *) VSYNCOUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define VSYNCOUT_PRTDSI__SYNC_OUT       (* (reg8 *) VSYNCOUT__PRTDSI__SYNC_OUT) 


#if defined(VSYNCOUT__INTSTAT)  /* Interrupt Registers */

    #define VSYNCOUT_INTSTAT                (* (reg8 *) VSYNCOUT__INTSTAT)
    #define VSYNCOUT_SNAP                   (* (reg8 *) VSYNCOUT__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins VSYNCOUT_H */


/* [] END OF FILE */
