/*******************************************************************************
* Copyright 2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

/* This header exports the configuration method(s) defined by this file. */
#include <cyfitter_cfg.h>

/* This header includes all of the necessary type definitions. */
#include <cytypes.h>

/* Standard system includes */
#if !defined(__ARMCC_VERSION)
#include <string.h>
#endif

/* This header contains all of the macros necessary for accessing registers on the device */
#include <cydevice.h>

/* This header contains all of the macros defined based on the users choices in the System DWR as well as instance
   based macros for register access. */
#include <cyfitter.h>

/* This header contains functions needed to enable the digital array */
#include <CyLib.h>

/* The section below contains all of the data used to initialize the device. */
#include <CyDmac.h>

#if defined(__C51__) || defined(__CX51__)
#define CYCODE code
#define CYDATA data
#define CYXDATA xdata
#define CYFAR far
extern void cymemzero(void CYFAR *addr, uint16 size);
extern void cyconfigcpy(uint16 size, const void CYFAR *src, void CYFAR *dest) small;
extern void cyconfigcpycode(uint16 size, const void CYCODE *src, void CYFAR *dest);
#define CYMEMZERO(a,c) cymemzero((a),(c))
#define CYCONFIGCPY(d,s,c) cyconfigcpy((c),(s),(d))
#define CYCONFIGCPYCODE(d,s,c) cyconfigcpycode((c),(s),(d))
#else
#define CYCODE
#define CYDATA
#define CYXDATA
#define CYFAR
#define CYMEMZERO(a,c) cymemset((a),0,(c))
#define CYCONFIGCPY(d,s,c) cymemcpy((d),(s),(c))
#define CYCONFIGCPYCODE(d,s,c) cymemcpy((d),(s),(c))
#endif

/* Disable warnings about pointer truncation and pointer to integer conversion */
#if defined(__ARMCC_VERSION)

#pragma diag_suppress 767,69
#elif defined(__GNUC__)
#pragma GCC diagnostic ignored "-Wpointer-to-int-cast"
#endif

#if defined(__GNUC__) || defined(__ARMCC_VERSION)
#define CYPACKED __attribute__ ((packed))
#define DMAINITSEC __attribute__ ((section (".dma_init")))
#if defined(__ARMCC_VERSION)
#define CY_CFG_MEMORY_BARRIER() __memory_changed()
#else
#define CY_CFG_MEMORY_BARRIER() __sync_synchronize()
#endif
#else
#define CYPACKED
#define DMAINITSEC
#define CY_CFG_MEMORY_BARRIER()
#endif

#define CYDATADECL(name) const uint8 CYCODE name

typedef struct {
	void CYFAR *address;
	uint16 size;
} CYPACKED cfg_memset_t;

typedef struct {
	void CYFAR *dest;
	const void CYCODE *src;
	uint16 size;
} CYPACKED cfg_memcpy_t;

#define CFG_MEMSET_COUNT (sizeof(cfg_memset_list)/sizeof(*cfg_memset_list))
static const cfg_memset_t CYCODE cfg_memset_list [] = {
	/* address, size */
	{(void CYFAR *)(CYDEV_IO_PRT_PRT2_DR), 48},
	{(void CYFAR *)(CYDEV_IO_PRT_PRT6_DR), 16},
	{(void CYFAR *)(CYDEV_IO_PRT_PRT12_DR), 16},
	{(void CYFAR *)(CYDEV_UCFG_B0_P0_U0_BASE), 4096},
	{(void CYFAR *)(CYDEV_UCFG_B1_P2_U0_BASE), 2048},
	{(void CYFAR *)(CYDEV_UCFG_DSI0_BASE), 2560},
	{(void CYFAR *)(CYDEV_UCFG_DSI12_BASE), 512},
};

CYDATADECL(cfg_byte_table) [] = {
	0x24,
	0x00, 0x64, 0x05, /* Base address 0x006400 */
	/* CYDEV_UWRK_UWRK8_B0_BASE + 0x00000070 */
	0x83, 0x0D, 0x86, 0x0D, 0x89, 0x0D, 0x8B, 0x0F, 0x8D, 0x0F, 
	0x00, 0x65, 0x02, /* Base address 0x006500 */
	/* CYDEV_UWRK_UWRK8_B1_BASE + 0x00000070 */
	0x86, 0x0D, 0x8A, 0x67, 
	0x01, 0x01, 0x04, /* Base address 0x010100 */
	/* CYDEV_UCFG_B0_P0_ROUTE_BASE + 0x00000080 */
	0x8C, 0x20, 0xA2, 0x80, 0xAE, 0x80, 0xEE, 0x08, 
	0x01, 0x02, 0x18, /* Base address 0x010200 */
	/* CYDEV_UCFG_B0_P1_U1_BASE */
	0xC0, 0x10, 0xC1, 0x06, 0xC5, 0xD2, 0xC6, 0x10, 0xC7, 0x12, 0xC8, 0x3B, 0xC9, 0xFF, 0xCA, 0xFF, 
	0xCB, 0xFF, 0xCD, 0xA0, 0xCF, 0x04, 0xD0, 0x18, 0xD4, 0x05, 0xDA, 0x04, 0xDB, 0x04, 0xE0, 0x40, 
	0xE2, 0xC0, 0xE4, 0x40, 0xE5, 0x40, 0xE6, 0xC0, 0xE8, 0xC0, 0xEA, 0xC0, 0xEC, 0xC0, 0xEE, 0xC0, 
	0x01, 0x03, 0x10, /* Base address 0x010300 */
	/* CYDEV_UCFG_B0_P1_ROUTE_BASE */
	0x40, 0x02, 0x49, 0x0A, 0x4A, 0x08, 0x52, 0x09, 0x53, 0x10, 0x59, 0x0A, 0x5A, 0x80, 
	/* CYDEV_UCFG_B0_P1_ROUTE_BASE + 0x00000080 */
	0x85, 0x20, 0x88, 0x40, 0x89, 0x80, 0x98, 0x20, 0xA2, 0x80, 0xD0, 0x08, 0xD2, 0x04, 0xD6, 0x0B, 
	0xE4, 0x02, 
	0x01, 0x04, 0x3E, /* Base address 0x010400 */
	/* CYDEV_UCFG_B0_P2_U0_BASE */
	0x01, 0x0C, 0x02, 0x08, 0x03, 0x10, 0x07, 0x02, 0x08, 0x04, 0x09, 0x0C, 0x0B, 0x10, 0x0C, 0x0E, 
	0x0E, 0x10, 0x16, 0x02, 0x19, 0x1C, 0x1A, 0x04, 0x1E, 0x04, 0x1F, 0x20, 0x22, 0x01, 0x28, 0x10, 
	0x2B, 0x03, 0x2D, 0x18, 0x30, 0x10, 0x31, 0x38, 0x32, 0x01, 0x33, 0x02, 0x34, 0x02, 0x35, 0x01, 
	0x36, 0x0C, 0x37, 0x04, 0x38, 0x20, 0x39, 0x02, 0x3C, 0x08, 0x3D, 0x20, 0x3E, 0x51, 0x3F, 0x45, 
	0x58, 0x0B, 0x59, 0x0B, 0x5C, 0x99, 
	/* CYDEV_UCFG_B0_P2_U1_BASE */
	0x81, 0x0C, 0x86, 0x0E, 0x89, 0x02, 0x8A, 0x03, 0x8B, 0x08, 0x9E, 0x04, 0x9F, 0x01, 0xA2, 0x08, 
	0xA9, 0x02, 0xAB, 0x04, 0xB0, 0x04, 0xB1, 0x0C, 0xB2, 0x08, 0xB3, 0x02, 0xB4, 0x02, 0xB5, 0x02, 
	0xB6, 0x01, 0xB7, 0x01, 0xB9, 0x08, 0xBC, 0x40, 0xBD, 0x80, 0xBE, 0x15, 0xBF, 0x15, 0xD8, 0x0A, 
	0xD9, 0x0A, 0xDC, 0x99, 0xDE, 0x03, 
	0x01, 0x05, 0x45, /* Base address 0x010500 */
	/* CYDEV_UCFG_B0_P2_ROUTE_BASE */
	0x02, 0x81, 0x03, 0x04, 0x04, 0x08, 0x07, 0x08, 0x08, 0x24, 0x09, 0x80, 0x0E, 0x01, 0x11, 0x20, 
	0x13, 0x02, 0x17, 0x02, 0x19, 0xB0, 0x1A, 0x82, 0x1B, 0x08, 0x1C, 0x10, 0x1D, 0x48, 0x1E, 0x01, 
	0x1F, 0x23, 0x20, 0x81, 0x21, 0x40, 0x22, 0x04, 0x23, 0x08, 0x26, 0x20, 0x27, 0x92, 0x28, 0x02, 
	0x2B, 0x08, 0x2C, 0x08, 0x30, 0x40, 0x31, 0x20, 0x35, 0x40, 0x38, 0x08, 0x3A, 0x10, 0x3B, 0x01, 
	0x3C, 0x20, 0x3D, 0x02, 0x79, 0x80, 0x7B, 0x80, 0x7C, 0x01, 0x7E, 0x10, 
	/* CYDEV_UCFG_B0_P2_ROUTE_BASE + 0x00000080 */
	0x80, 0x02, 0x81, 0x38, 0x88, 0x40, 0x8F, 0x01, 0x90, 0x08, 0x96, 0x80, 0x98, 0x64, 0x9A, 0x01, 
	0x9B, 0x04, 0x9D, 0x20, 0xA1, 0x90, 0xA2, 0x80, 0xA7, 0x02, 0xA8, 0x02, 0xAB, 0x06, 0xAC, 0x04, 
	0xB3, 0x10, 0xB4, 0x04, 0xB5, 0x10, 0xC0, 0x6B, 0xC2, 0x87, 0xC4, 0x1A, 0xCA, 0x2C, 0xCC, 0x1C, 
	0xCE, 0xA7, 0xDE, 0xC9, 0xE2, 0x04, 0xE4, 0x04, 0xE6, 0x01, 0xEA, 0x01, 0xEE, 0x01, 
	0x01, 0x06, 0x3D, /* Base address 0x010600 */
	/* CYDEV_UCFG_B0_P3_U0_BASE */
	0x01, 0x01, 0x05, 0x04, 0x07, 0x10, 0x09, 0x18, 0x0D, 0x04, 0x0F, 0x08, 0x21, 0x01, 0x2F, 0x02, 
	0x31, 0x01, 0x33, 0x02, 0x35, 0x04, 0x37, 0x18, 0x39, 0x22, 0x3F, 0x40, 0x40, 0x60, 0x41, 0x03, 
	0x45, 0xD2, 0x46, 0x01, 0x47, 0x01, 0x48, 0x3F, 0x49, 0xFF, 0x4A, 0xFF, 0x4B, 0xFF, 0x4D, 0xA0, 
	0x4F, 0x04, 0x50, 0x18, 0x54, 0x05, 0x59, 0x04, 0x5A, 0x04, 0x5B, 0x04, 0x5C, 0x90, 0x5D, 0x99, 
	0x60, 0x40, 0x62, 0xC0, 0x64, 0x40, 0x65, 0x40, 0x66, 0xC0, 0x68, 0xC0, 0x6A, 0xC0, 0x6C, 0xC0, 
	0x6E, 0xC0, 
	/* CYDEV_UCFG_B0_P3_U1_BASE */
	0xC0, 0x41, 0xC1, 0x05, 0xC9, 0xFF, 0xCA, 0xFF, 0xCB, 0xFF, 0xCD, 0xA0, 0xCF, 0x04, 0xD0, 0x18, 
	0xDA, 0x0A, 0xDB, 0x04, 0xDD, 0x09, 0xE0, 0x40, 0xE2, 0xC0, 0xE4, 0x40, 0xE5, 0x40, 0xE6, 0xC0, 
	0xE8, 0xC0, 0xEA, 0xC0, 0xEC, 0xC0, 0xEE, 0xC0, 
	0x01, 0x07, 0x2E, /* Base address 0x010700 */
	/* CYDEV_UCFG_B0_P3_ROUTE_BASE */
	0x25, 0x11, 0x26, 0x48, 0x2C, 0x82, 0x35, 0x08, 0x37, 0x04, 0x3D, 0x24, 0x3E, 0x80, 0x3F, 0x02, 
	0x40, 0x80, 0x42, 0x02, 0x47, 0x04, 0x4B, 0x80, 0x4D, 0x0A, 0x4E, 0x08, 0x54, 0x98, 0x57, 0x01, 
	0x5D, 0x0A, 0x5F, 0x80, 0x73, 0x40, 0x74, 0x02, 0x7B, 0x10, 
	/* CYDEV_UCFG_B0_P3_ROUTE_BASE + 0x00000080 */
	0x80, 0x04, 0x82, 0x10, 0x83, 0x80, 0x8C, 0x01, 0x91, 0x80, 0x92, 0x02, 0x96, 0x20, 0x99, 0x80, 
	0x9B, 0x90, 0xA3, 0x20, 0xA4, 0x18, 0xA5, 0x01, 0xA7, 0x80, 0xB2, 0x34, 0xB4, 0x10, 0xB7, 0x01, 
	0xCA, 0x90, 0xCE, 0xF0, 0xD0, 0x49, 0xD2, 0x28, 0xD6, 0xD0, 0xDE, 0x02, 0xE4, 0x01, 0xE6, 0x04, 
	0xEA, 0xF0, 
	0x01, 0x08, 0x36, /* Base address 0x010800 */
	/* CYDEV_UCFG_B0_P4_U0_BASE */
	0x04, 0x05, 0x07, 0x02, 0x08, 0x08, 0x14, 0x08, 0x18, 0x08, 0x1C, 0x02, 0x1E, 0x04, 0x22, 0x07, 
	0x23, 0x01, 0x2C, 0x01, 0x2E, 0x06, 0x30, 0x08, 0x31, 0x02, 0x32, 0x08, 0x33, 0x02, 0x34, 0x04, 
	0x35, 0x01, 0x36, 0x03, 0x38, 0x02, 0x3A, 0x20, 0x3C, 0xA0, 0x3E, 0x05, 0x40, 0x16, 0x41, 0x02, 
	0x45, 0xD2, 0x46, 0x20, 0x47, 0x21, 0x48, 0x3B, 0x49, 0xFF, 0x4A, 0xFF, 0x4B, 0xFF, 0x4D, 0xAF, 
	0x4E, 0x0F, 0x4F, 0x04, 0x50, 0x18, 0x58, 0x0B, 0x59, 0x08, 0x5A, 0x0B, 0x5B, 0x05, 0x5C, 0x99, 
	0x5D, 0x09, 0x5E, 0x02, 0x60, 0x40, 0x62, 0xC0, 0x64, 0x40, 0x65, 0x40, 0x66, 0xC0, 0x68, 0xC0, 
	0x6A, 0xC0, 0x6C, 0xC0, 0x6E, 0xC0, 
	/* CYDEV_UCFG_B0_P4_U1_BASE */
	0xD4, 0x05, 0xDB, 0x0B, 0xDD, 0x90, 
	0x01, 0x09, 0x3A, /* Base address 0x010900 */
	/* CYDEV_UCFG_B0_P4_ROUTE_BASE */
	0x04, 0x04, 0x05, 0x20, 0x0F, 0x16, 0x14, 0x02, 0x17, 0x01, 0x1C, 0x44, 0x1D, 0x80, 0x1E, 0x10, 
	0x1F, 0x04, 0x25, 0x08, 0x26, 0x01, 0x27, 0x04, 0x2E, 0x02, 0x38, 0x08, 0x39, 0x10, 0x3A, 0x08, 
	0x3B, 0x20, 0x3C, 0x08, 0x45, 0xA0, 0x4C, 0x04, 0x4D, 0x1A, 0x55, 0x24, 0x56, 0x04, 0x57, 0x03, 
	0x59, 0x0A, 0x5A, 0x80, 0x6C, 0x04, 0x6E, 0x20, 0x6F, 0x01, 0x7A, 0x80, 0x7E, 0x83, 0x7F, 0x10, 
	/* CYDEV_UCFG_B0_P4_ROUTE_BASE + 0x00000080 */
	0x80, 0x42, 0x88, 0x01, 0x8A, 0x10, 0x90, 0x20, 0x92, 0x01, 0x93, 0x14, 0x94, 0x02, 0x96, 0x02, 
	0x97, 0x88, 0x99, 0x20, 0x9A, 0x02, 0x9F, 0x44, 0xA5, 0x08, 0xA6, 0x01, 0xB5, 0x10, 0xC0, 0x60, 
	0xC2, 0xE0, 0xC4, 0x90, 0xCA, 0x80, 0xCE, 0x40, 0xD0, 0x30, 0xD2, 0x20, 0xD6, 0x0B, 0xDE, 0xD1, 
	0xE4, 0x10, 0xEE, 0x20, 
	0x01, 0x0A, 0x5F, /* Base address 0x010A00 */
	/* CYDEV_UCFG_B0_P5_U0_BASE */
	0x00, 0x0F, 0x06, 0x20, 0x10, 0x30, 0x12, 0x4C, 0x1C, 0x0F, 0x20, 0x05, 0x22, 0x8A, 0x24, 0x85, 
	0x26, 0x0A, 0x28, 0x30, 0x2A, 0x43, 0x2C, 0x10, 0x30, 0x80, 0x34, 0x63, 0x36, 0x1F, 0x38, 0x08, 
	0x3A, 0xC0, 0x3E, 0x05, 0x40, 0x50, 0x41, 0x04, 0x49, 0xFF, 0x4A, 0xFF, 0x4B, 0xFF, 0x4D, 0xA0, 
	0x4F, 0x04, 0x50, 0x18, 0x58, 0x09, 0x5A, 0x0B, 0x5B, 0x04, 0x5C, 0x09, 0x5D, 0x09, 0x60, 0x40, 
	0x62, 0xC0, 0x64, 0x40, 0x65, 0x40, 0x66, 0xC0, 0x68, 0xC0, 0x6A, 0xC0, 0x6C, 0xC0, 0x6E, 0xC0, 
	/* CYDEV_UCFG_B0_P5_U1_BASE */
	0x86, 0x18, 0x87, 0x04, 0x89, 0x08, 0x8B, 0x12, 0x8E, 0x12, 0x90, 0x04, 0x92, 0x60, 0x99, 0x02, 
	0x9B, 0x08, 0x9C, 0x40, 0x9E, 0x03, 0x9F, 0x01, 0xA0, 0x20, 0xA1, 0x05, 0xA2, 0x44, 0xA6, 0x80, 
	0xAA, 0x09, 0xB0, 0x80, 0xB1, 0x02, 0xB2, 0xC0, 0xB3, 0x0C, 0xB4, 0x38, 0xB5, 0x10, 0xB6, 0x07, 
	0xB7, 0x03, 0xBF, 0x01, 0xC0, 0x30, 0xC1, 0x05, 0xC5, 0xD0, 0xC6, 0x12, 0xC7, 0x52, 0xC8, 0x3E, 
	0xC9, 0xFF, 0xCA, 0xFF, 0xCB, 0xFF, 0xCD, 0xAF, 0xCE, 0x0F, 0xCF, 0x04, 0xD0, 0x18, 0xD4, 0x07, 
	0xD8, 0x0A, 0xD9, 0x09, 0xDA, 0x09, 0xDB, 0x09, 0xDC, 0x99, 0xDD, 0x99, 0xE0, 0x40, 0xE2, 0xC0, 
	0xE4, 0x40, 0xE5, 0x40, 0xE6, 0xC0, 0xE8, 0xC0, 0xEA, 0xC0, 0xEC, 0xC0, 0xEE, 0xC0, 
	0x01, 0x0B, 0x5C, /* Base address 0x010B00 */
	/* CYDEV_UCFG_B0_P5_ROUTE_BASE */
	0x00, 0x0A, 0x04, 0x04, 0x05, 0x80, 0x08, 0x80, 0x0B, 0x80, 0x0D, 0x81, 0x11, 0x40, 0x12, 0x84, 
	0x13, 0x04, 0x15, 0x08, 0x16, 0x44, 0x18, 0x28, 0x19, 0x80, 0x1A, 0x81, 0x1C, 0x06, 0x1D, 0x80, 
	0x1E, 0x50, 0x1F, 0x10, 0x25, 0x14, 0x26, 0x50, 0x27, 0x82, 0x2C, 0x80, 0x2D, 0x04, 0x2E, 0x08, 
	0x36, 0x50, 0x38, 0x08, 0x3A, 0x04, 0x3D, 0x08, 0x3E, 0x20, 0x42, 0x80, 0x45, 0x08, 0x4A, 0x01, 
	0x4D, 0x02, 0x4F, 0x80, 0x54, 0x20, 0x56, 0xAA, 0x57, 0x41, 0x58, 0x02, 0x5A, 0x02, 0x5C, 0x10, 
	0x5D, 0x06, 0x5F, 0x80, 0x62, 0xC0, 0x68, 0x04, 0x69, 0x40, 0x78, 0x02, 0x7B, 0x04, 0x7E, 0x10, 
	0x7F, 0x04, 
	/* CYDEV_UCFG_B0_P5_ROUTE_BASE + 0x00000080 */
	0x81, 0x04, 0x82, 0x10, 0x83, 0x06, 0x88, 0x01, 0x8C, 0x20, 0x90, 0x10, 0x91, 0x0A, 0x93, 0x14, 
	0x94, 0x02, 0x96, 0xD2, 0x97, 0x20, 0x98, 0x80, 0x99, 0x20, 0x9C, 0x01, 0x9E, 0x02, 0x9F, 0x44, 
	0xA0, 0x80, 0xA2, 0x80, 0xA5, 0x80, 0xA7, 0x01, 0xA9, 0x02, 0xAB, 0x03, 0xAF, 0x80, 0xB0, 0x10, 
	0xB3, 0x40, 0xB6, 0x40, 0xB7, 0x98, 0xC0, 0xAC, 0xC2, 0x99, 0xC4, 0x7F, 0xCA, 0x80, 0xCC, 0x30, 
	0xCE, 0x60, 0xD0, 0x41, 0xD2, 0x18, 0xD6, 0xF0, 0xDE, 0x65, 0xE4, 0x20, 0xE6, 0x10, 0xE8, 0x20, 
	0xEA, 0x10, 0xEC, 0x08, 0xEE, 0x10, 
	0x01, 0x0C, 0x4F, /* Base address 0x010C00 */
	/* CYDEV_UCFG_B0_P6_U0_BASE */
	0x02, 0x04, 0x04, 0x10, 0x0A, 0x01, 0x0F, 0x01, 0x10, 0x01, 0x15, 0x04, 0x16, 0x0C, 0x1E, 0x0F, 
	0x22, 0x01, 0x23, 0x04, 0x26, 0x03, 0x2A, 0x12, 0x2E, 0x08, 0x2F, 0x02, 0x30, 0x04, 0x31, 0x01, 
	0x32, 0x03, 0x33, 0x04, 0x34, 0x10, 0x36, 0x08, 0x37, 0x02, 0x38, 0x82, 0x3E, 0x10, 0x3F, 0x04, 
	0x40, 0x01, 0x45, 0x22, 0x48, 0x03, 0x49, 0xFF, 0x4A, 0xFF, 0x4B, 0xFF, 0x4D, 0xA0, 0x50, 0x08, 
	0x58, 0x24, 0x59, 0x04, 0x5A, 0x08, 0x5B, 0x05, 0x5D, 0x09, 0x5E, 0x01, 0x60, 0x80, 0x62, 0x40, 
	0x63, 0x40, 0x64, 0x40, 0x66, 0x40, 0x68, 0x40, 0x6A, 0x40, 0x6C, 0x40, 0x6E, 0x40, 
	/* CYDEV_UCFG_B0_P6_U1_BASE */
	0x83, 0x01, 0x93, 0x02, 0xB1, 0x01, 0xB5, 0x01, 0xB7, 0x02, 0xC0, 0x50, 0xC1, 0x02, 0xC5, 0xD0, 
	0xC6, 0x20, 0xC7, 0x15, 0xC8, 0x3A, 0xC9, 0xFF, 0xCA, 0xFF, 0xCB, 0xFF, 0xCD, 0xA0, 0xCF, 0x04, 
	0xD0, 0x18, 0xD4, 0x07, 0xD9, 0x0B, 0xDA, 0x0B, 0xDB, 0x0B, 0xDC, 0x90, 0xDD, 0x99, 0xE0, 0x40, 
	0xE2, 0xC0, 0xE4, 0x40, 0xE5, 0x40, 0xE6, 0xC0, 0xE8, 0xC0, 0xEA, 0xC0, 0xEC, 0xC0, 0xEE, 0xC0, 
	0x01, 0x0D, 0x46, /* Base address 0x010D00 */
	/* CYDEV_UCFG_B0_P6_ROUTE_BASE */
	0x04, 0x02, 0x06, 0x08, 0x07, 0x10, 0x08, 0x08, 0x09, 0x20, 0x0A, 0x04, 0x0B, 0x10, 0x0D, 0x02, 
	0x0E, 0x10, 0x0F, 0x02, 0x14, 0x10, 0x15, 0x02, 0x16, 0x04, 0x17, 0x40, 0x1C, 0x40, 0x1D, 0x10, 
	0x1F, 0x88, 0x20, 0x0A, 0x21, 0x01, 0x23, 0x04, 0x24, 0x10, 0x27, 0x82, 0x2E, 0x82, 0x31, 0x01, 
	0x37, 0x04, 0x3B, 0x02, 0x3F, 0x40, 0x43, 0x20, 0x44, 0x09, 0x46, 0x08, 0x48, 0x01, 0x49, 0x02, 
	0x4C, 0x80, 0x4D, 0x08, 0x51, 0x24, 0x52, 0x04, 0x53, 0x25, 0x59, 0x12, 0x5A, 0x84, 0x61, 0x80, 
	0x63, 0x01, 0x71, 0x01, 0x76, 0x80, 0x78, 0x02, 0x7E, 0x01, 
	/* CYDEV_UCFG_B0_P6_ROUTE_BASE + 0x00000080 */
	0x84, 0x02, 0x88, 0x04, 0x89, 0x08, 0x94, 0x40, 0x96, 0x02, 0x97, 0x2A, 0x98, 0x88, 0x99, 0x20, 
	0xA2, 0x80, 0xA8, 0x40, 0xB0, 0x80, 0xB1, 0x20, 0xB3, 0x10, 0xC0, 0x70, 0xC2, 0xB0, 0xC4, 0xF0, 
	0xCA, 0x90, 0xCC, 0x41, 0xCE, 0x11, 0xD0, 0x14, 0xD2, 0x08, 0xD6, 0x0F, 0xDE, 0x11, 0xE2, 0xA0, 
	0xEC, 0x04, 
	0x01, 0x0F, 0x08, /* Base address 0x010F00 */
	/* CYDEV_UCFG_B0_P7_ROUTE_BASE + 0x00000080 */
	0x8C, 0x08, 0x8E, 0x80, 0x8F, 0x01, 0x96, 0x02, 0x97, 0x08, 0xAF, 0x04, 0xB2, 0x01, 0xE2, 0x40, 
	0x01, 0x15, 0x08, /* Base address 0x011500 */
	/* CYDEV_UCFG_B1_P2_ROUTE_BASE + 0x00000080 */
	0x8F, 0x08, 0xA3, 0x08, 0xAB, 0x04, 0xAF, 0x81, 0xB2, 0x01, 0xB6, 0x20, 0xE8, 0x02, 0xEC, 0x0C, 
	0x01, 0x16, 0x37, /* Base address 0x011600 */
	/* CYDEV_UCFG_B1_P3_U0_BASE */
	0x40, 0x60, 0x41, 0x05, 0x45, 0xD0, 0x46, 0x21, 0x47, 0x22, 0x48, 0x3F, 0x49, 0xFF, 0x4A, 0xFF, 
	0x4B, 0xFF, 0x4D, 0xA0, 0x4F, 0x04, 0x50, 0x18, 0x54, 0x05, 0x5A, 0x04, 0x5B, 0x04, 0x5D, 0x99, 
	0x60, 0x40, 0x62, 0xC0, 0x64, 0x40, 0x65, 0x40, 0x66, 0xC0, 0x68, 0xC0, 0x6A, 0xC0, 0x6C, 0xC0, 
	0x6E, 0xC0, 
	/* CYDEV_UCFG_B1_P3_U1_BASE */
	0x8A, 0x20, 0x8B, 0x08, 0x8C, 0x55, 0x8E, 0xAA, 0x8F, 0x10, 0x91, 0x26, 0x92, 0x40, 0x93, 0x59, 
	0x96, 0x04, 0x9A, 0x10, 0x9F, 0x20, 0xA2, 0x02, 0xA3, 0x04, 0xA6, 0x80, 0xA7, 0x40, 0xAA, 0x01, 
	0xAB, 0x02, 0xAE, 0x08, 0xAF, 0x01, 0xB0, 0x30, 0xB1, 0x10, 0xB2, 0x03, 0xB3, 0x60, 0xB4, 0x0C, 
	0xB5, 0x03, 0xB6, 0xC0, 0xB7, 0x0C, 0xD8, 0x24, 0xD9, 0x24, 0xDB, 0x04, 
	0x01, 0x17, 0x39, /* Base address 0x011700 */
	/* CYDEV_UCFG_B1_P3_ROUTE_BASE */
	0x00, 0x20, 0x01, 0x80, 0x0A, 0x68, 0x13, 0xA9, 0x1A, 0x68, 0x1B, 0x80, 0x22, 0x62, 0x23, 0x20, 
	0x28, 0x06, 0x29, 0x01, 0x2A, 0x08, 0x2C, 0x20, 0x2E, 0x04, 0x32, 0x41, 0x35, 0x01, 0x36, 0x02, 
	0x3B, 0x50, 0x4C, 0x06, 0x4D, 0x06, 0x54, 0x22, 0x56, 0x80, 0x57, 0x1C, 0x5D, 0x02, 0x5E, 0x84, 
	0x68, 0x10, 0x6B, 0x89, 0x72, 0x08, 0x73, 0x51, 
	/* CYDEV_UCFG_B1_P3_ROUTE_BASE + 0x00000080 */
	0x80, 0x02, 0x84, 0x04, 0x89, 0x80, 0x8C, 0x04, 0x92, 0x02, 0x95, 0x04, 0x99, 0x80, 0x9E, 0x80, 
	0xA2, 0x40, 0xA7, 0x10, 0xA8, 0x01, 0xA9, 0x40, 0xAB, 0x30, 0xAF, 0x60, 0xB2, 0x02, 0xB3, 0x40, 
	0xB4, 0x84, 0xC0, 0x03, 0xC2, 0x0E, 0xC4, 0x0F, 0xCA, 0x0F, 0xCC, 0x09, 0xCE, 0x0C, 0xD2, 0x30, 
	0xD6, 0xD0, 0xE2, 0x28, 0xE6, 0x01, 0xEC, 0x02, 0xEE, 0x40, 
	0x01, 0x18, 0x4B, /* Base address 0x011800 */
	/* CYDEV_UCFG_B1_P4_U0_BASE */
	0x03, 0x02, 0x05, 0x26, 0x07, 0x59, 0x0A, 0x08, 0x0B, 0x20, 0x0E, 0x10, 0x0F, 0x01, 0x12, 0x80, 
	0x16, 0x02, 0x17, 0x04, 0x1A, 0x01, 0x1E, 0x20, 0x22, 0x04, 0x23, 0x40, 0x26, 0x40, 0x28, 0xAA, 
	0x2A, 0x55, 0x2B, 0x10, 0x2F, 0x08, 0x30, 0x30, 0x31, 0x03, 0x32, 0xC0, 0x33, 0x30, 0x34, 0x03, 
	0x35, 0x40, 0x36, 0x0C, 0x37, 0x0C, 0x58, 0x24, 0x59, 0x24, 0x5B, 0x04, 
	/* CYDEV_UCFG_B1_P4_U1_BASE */
	0x81, 0x04, 0x84, 0x08, 0x97, 0x08, 0x98, 0x02, 0x9A, 0x04, 0xA6, 0x0C, 0xA7, 0x01, 0xAE, 0x01, 
	0xAF, 0x06, 0xB0, 0x08, 0xB1, 0x04, 0xB2, 0x01, 0xB3, 0x08, 0xB4, 0x04, 0xB5, 0x01, 0xB6, 0x02, 
	0xB7, 0x02, 0xBE, 0x51, 0xBF, 0x01, 0xC0, 0x62, 0xC1, 0x05, 0xC9, 0xFF, 0xCA, 0xFF, 0xCB, 0xFF, 
	0xCD, 0xA0, 0xCF, 0x01, 0xD0, 0x18, 0xD8, 0x04, 0xD9, 0x0B, 0xDA, 0x0B, 0xDB, 0x04, 0xDC, 0x99, 
	0xDD, 0x09, 0xE0, 0x40, 0xE2, 0x80, 0xE4, 0x40, 0xE5, 0x40, 0xE6, 0x80, 0xE8, 0x40, 0xEA, 0x50, 
	0xEB, 0xA8, 0xEC, 0x40, 0xED, 0x20, 0xEE, 0x50, 0xEF, 0xA8, 
	0x01, 0x19, 0x50, /* Base address 0x011900 */
	/* CYDEV_UCFG_B1_P4_ROUTE_BASE */
	0x02, 0x20, 0x04, 0x80, 0x05, 0x10, 0x0A, 0x08, 0x0C, 0x20, 0x0D, 0x88, 0x0E, 0x80, 0x11, 0x08, 
	0x13, 0x40, 0x15, 0x04, 0x17, 0x21, 0x18, 0x10, 0x19, 0x20, 0x1A, 0x86, 0x1C, 0x20, 0x1D, 0x90, 
	0x1E, 0x80, 0x22, 0x24, 0x23, 0x81, 0x24, 0x02, 0x25, 0x18, 0x27, 0x40, 0x2A, 0x04, 0x2B, 0x02, 
	0x2C, 0x09, 0x2D, 0x02, 0x30, 0x04, 0x34, 0x08, 0x3B, 0x01, 0x3C, 0x08, 0x3D, 0x22, 0x3E, 0x40, 
	0x42, 0x08, 0x49, 0xA0, 0x5F, 0x30, 0x6C, 0x44, 0x6D, 0x04, 0x6E, 0x40, 0x73, 0x40, 0x74, 0x28, 
	0x75, 0x02, 0x77, 0x01, 0x7A, 0x80, 
	/* CYDEV_UCFG_B1_P4_ROUTE_BASE + 0x00000080 */
	0x80, 0x04, 0x84, 0x10, 0x8A, 0x01, 0x8B, 0x10, 0x8C, 0x10, 0x90, 0x20, 0x92, 0x01, 0x94, 0x02, 
	0x96, 0x80, 0x97, 0x80, 0x99, 0x80, 0x9A, 0x0C, 0x9F, 0x40, 0xA0, 0x01, 0xA1, 0x04, 0xA6, 0x80, 
	0xA8, 0x10, 0xA9, 0x80, 0xAC, 0x04, 0xB1, 0x10, 0xB3, 0x02, 0xB5, 0x80, 0xB6, 0x12, 0xB7, 0x02, 
	0xC0, 0xC4, 0xC2, 0xF2, 0xC4, 0x75, 0xCA, 0xBA, 0xCC, 0x42, 0xCE, 0xF1, 0xD0, 0x04, 0xD2, 0x0C, 
	0xDE, 0x01, 0xE2, 0x30, 0xE4, 0x80, 0xEA, 0x90, 0xEE, 0xC0, 
	0x01, 0x1A, 0x1E, /* Base address 0x011A00 */
	/* CYDEV_UCFG_B1_P5_U0_BASE */
	0x40, 0x25, 0x41, 0x04, 0x45, 0x20, 0x46, 0xC0, 0x47, 0x5E, 0x48, 0x3B, 0x49, 0xFF, 0x4A, 0xFF, 
	0x4B, 0xFF, 0x4D, 0xAF, 0x4E, 0x07, 0x4F, 0x01, 0x50, 0x18, 0x54, 0x07, 0x5A, 0x08, 0x5B, 0x08, 
	0x5D, 0x99, 0x5E, 0x01, 0x60, 0x40, 0x62, 0x80, 0x64, 0x40, 0x65, 0x40, 0x66, 0x80, 0x68, 0x40, 
	0x6A, 0x50, 0x6B, 0xA8, 0x6C, 0x40, 0x6D, 0x20, 0x6E, 0x50, 0x6F, 0xA8, 
	0x01, 0x1B, 0x22, /* Base address 0x011B00 */
	/* CYDEV_UCFG_B1_P5_ROUTE_BASE */
	0x0C, 0x02, 0x0E, 0x40, 0x42, 0x44, 0x48, 0x01, 0x49, 0x08, 0x4A, 0x40, 0x52, 0x18, 0x53, 0x02, 
	0x59, 0x28, 0x5B, 0x80, 0x62, 0x18, 0x78, 0x80, 
	/* CYDEV_UCFG_B1_P5_ROUTE_BASE + 0x00000080 */
	0x89, 0x20, 0x8A, 0x40, 0x8C, 0x92, 0x90, 0x20, 0x92, 0x04, 0x9B, 0x80, 0xA0, 0x01, 0xA7, 0x02, 
	0xAA, 0x80, 0xAC, 0x0D, 0xB0, 0x04, 0xB2, 0x01, 0xB3, 0x40, 0xB5, 0x01, 0xD0, 0x05, 0xD2, 0x08, 
	0xD6, 0x0E, 0xD8, 0x06, 0xDE, 0x08, 0xE0, 0x10, 0xE8, 0x30, 0xEA, 0x08, 
	0x01, 0x41, 0x05, /* Base address 0x014100 */
	/* CYDEV_UCFG_DSI1_BASE */
	0x13, 0x08, 0x3E, 0x20, 0x3F, 0x08, 
	/* CYDEV_UCFG_DSI1_BASE + 0x00000080 */
	0xC4, 0x10, 0xCE, 0xA0, 
	0x01, 0x42, 0x0D, /* Base address 0x014200 */
	/* CYDEV_UCFG_DSI2_BASE */
	0x38, 0x08, 0x3C, 0x02, 0x43, 0x80, 0x45, 0x10, 
	/* CYDEV_UCFG_DSI2_BASE + 0x00000080 */
	0x81, 0x10, 0xA7, 0x04, 0xAA, 0x20, 0xAF, 0x08, 0xCE, 0xC0, 0xD0, 0x30, 0xE2, 0x80, 0xE8, 0x10, 
	0xEA, 0x20, 
	0x01, 0x43, 0x0D, /* Base address 0x014300 */
	/* CYDEV_UCFG_DSI3_BASE */
	0x30, 0x80, 0x3F, 0x08, 0x42, 0x02, 0x68, 0x02, 
	/* CYDEV_UCFG_DSI3_BASE + 0x00000080 */
	0x9B, 0x02, 0xB0, 0x01, 0xB3, 0x82, 0xB4, 0x04, 0xB7, 0x04, 0xCC, 0x10, 0xCE, 0x80, 0xD0, 0x10, 
	0xDA, 0x40, 
	0x01, 0x44, 0x0C, /* Base address 0x014400 */
	/* CYDEV_UCFG_DSI4_BASE */
	0x53, 0x80, 0x57, 0x04, 0x58, 0x40, 0x60, 0x41, 0x74, 0x04, 0x7C, 0x40, 
	/* CYDEV_UCFG_DSI4_BASE + 0x00000080 */
	0xA0, 0x04, 0xB0, 0x04, 0xD4, 0x07, 0xD6, 0x02, 0xD8, 0x02, 0xE8, 0x04, 
	0x01, 0x45, 0x05, /* Base address 0x014500 */
	/* CYDEV_UCFG_DSI5_BASE */
	0x21, 0x04, 
	/* CYDEV_UCFG_DSI5_BASE + 0x00000080 */
	0x94, 0x01, 0x9C, 0x40, 0xAB, 0x84, 0xC8, 0x02, 
	0x01, 0x46, 0x03, /* Base address 0x014600 */
	/* CYDEV_UCFG_DSI6_BASE + 0x00000080 */
	0x91, 0x08, 0x94, 0x01, 0xAC, 0x40, 
	0x01, 0x47, 0x08, /* Base address 0x014700 */
	/* CYDEV_UCFG_DSI7_BASE + 0x00000080 */
	0x8C, 0x01, 0x91, 0x08, 0x94, 0x01, 0xB3, 0x80, 0xB7, 0x80, 0xE4, 0x08, 0xEC, 0x08, 0xEE, 0x04, 
	0x01, 0x48, 0x0A, /* Base address 0x014800 */
	/* CYDEV_UCFG_DSI8_BASE */
	0x5B, 0x02, 
	/* CYDEV_UCFG_DSI8_BASE + 0x00000080 */
	0x88, 0x02, 0x9B, 0x02, 0xA8, 0x02, 0xAB, 0x04, 0xAE, 0x02, 0xB4, 0x80, 0xD6, 0x40, 0xEA, 0x20, 
	0xEE, 0x30, 
	0x01, 0x49, 0x04, /* Base address 0x014900 */
	/* CYDEV_UCFG_DSI9_BASE */
	0x5C, 0x02, 0x64, 0x02, 
	/* CYDEV_UCFG_DSI9_BASE + 0x00000080 */
	0x98, 0x02, 0xD6, 0x80, 
	0x01, 0x4C, 0x01, /* Base address 0x014C00 */
	/* CYDEV_UCFG_DSI12_BASE + 0x00000080 */
	0x91, 0x08, 
	0x01, 0x4D, 0x01, /* Base address 0x014D00 */
	/* CYDEV_UCFG_DSI13_BASE + 0x00000080 */
	0xAD, 0x04, 
	0x01, 0x50, 0x0D, /* Base address 0x015000 */
	/* CYDEV_UCFG_BCTL0_MDCLK_EN */
	0x00, 0x01, 0x01, 0x01, 0x08, 0x01, 0x0B, 0x01, 0x0D, 0x01, 0x0E, 0x01, 0x0F, 0x01, 
	/* CYDEV_UCFG_BCTL1_MDCLK_EN */
	0x10, 0x01, 0x11, 0x01, 0x1A, 0x01, 0x1B, 0x01, 0x1C, 0x01, 0x1D, 0x01, 
	0x01, 0x51, 0x01, /* Base address 0x015100 */
	/* CYDEV_IDMUX_IRQ_CTL0 */
	0x04, 0x03, 
};
/* BYTES: 2455 */

/* IDMUX Address: CYDEV_IDMUX_DRQ_CTL0 Size (bytes): 6 */
static CYDATADECL(BS_IDMUX_VAL) [] DMAINITSEC = {
	0x00, 0x22, 0xAA, 0xA0, 0x00, 0x00};

/* IOPINS0_0 Address: CYDEV_IO_PRT_PRT0_DM0 Size (bytes): 8 */
static CYDATADECL(BS_IOPINS0_0_VAL) [] DMAINITSEC = {
	0x00, 0xA7, 0xA7, 0x00, 0xA7, 0x00, 0x00, 0x00};

/* IOPINS0_1 Address: CYDEV_IO_PRT_PRT1_DM0 Size (bytes): 8 */
static CYDATADECL(BS_IOPINS0_1_VAL) [] DMAINITSEC = {
	0x00, 0x00, 0x40, 0x00, 0x40, 0x00, 0x00, 0x00};

/* IOPINS0_8 Address: CYDEV_IO_PRT_PRT15_DM0 Size (bytes): 8 */
static CYDATADECL(BS_IOPINS0_8_VAL) [] DMAINITSEC = {
	0x08, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

/* IOPINS0_5 Address: CYDEV_IO_PRT_PRT5_DM0 Size (bytes): 8 */
static CYDATADECL(BS_IOPINS0_5_VAL) [] DMAINITSEC = {
	0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0x10, 0x00};

/* IOPORT_0 Address: CYDEV_PRTDSI_PRT0_BASE Size (bytes): 7 */
static CYDATADECL(BS_IOPORT_0_VAL) [] DMAINITSEC = {
	0x02, 0x21, 0x00, 0x00, 0x00, 0x00, 0x00};

/* IOPORT_1 Address: CYDEV_PRTDSI_PRT1_BASE Size (bytes): 7 */
static CYDATADECL(BS_IOPORT_1_VAL) [] DMAINITSEC = {
	0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00};

/* IOPORT_5 Address: CYDEV_PRTDSI_PRT5_BASE Size (bytes): 7 */
static CYDATADECL(BS_IOPORT_5_VAL) [] DMAINITSEC = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80};

/* IOPORT_8 Address: CYDEV_PRTDSI_PRT15_BASE Size (bytes): 7 */
static CYDATADECL(BS_IOPORT_8_VAL) [] DMAINITSEC = {
	0x00, 0x00, 0x00, 0x00, 0x08, 0x00, 0x00};

#define CFG_MEMCPY_COUNT (sizeof(cfg_memcpy_list)/sizeof(*cfg_memcpy_list))
static const cfg_memcpy_t CYCODE cfg_memcpy_list [] = {
	/* dest, src, size */
	{(void CYFAR *)(CYDEV_IDMUX_DRQ_CTL0), BS_IDMUX_VAL, 6},
};


#if defined(__C51__) || defined(__CX51__)
extern void cfg_write_bytes_code(void CYCODE *table);
extern void cfg_write_bytes(void CYFAR *table);
#else
/* For 32-bit little-endian architectures */
static void cfg_write_bytes32(void)
{
	unsigned int i, j = 0;
	for (i = 0; i < CY_CFG_BASE_ADDR_COUNT; i++)
	{
		uint32 baseAddr = cy_cfg_addr_table[i];
		uint8 count = baseAddr & 0xFFu;
		baseAddr &= 0xFFFFFF00u;
		while (count--)
		{
			CY_SET_XTND_REG8((void CYFAR *)(baseAddr + cy_cfg_data_table[j].offset), cy_cfg_data_table[j].value);
			j++;
		}
	}
}
#endif

#if defined(__C51__) || defined(__CX51__)
#define CYMEMZERO8(a,c) cymemzero((a),(c))
#define CYCONFIGCPY8(d,s,c) cyconfigcpy((c),(s),(d))
#define CYCONFIGCPYCODE8(d,s,c) cyconfigcpycode((c),(s),(d))
#else
#if defined(__GNUC__) || defined(__ARMCC_VERSION)
__attribute__ ((unused))
#endif
static void cymemzero8(void *addr, unsigned int count)
{
	uint8 *addr8 = (uint8 *)addr;
	while (count--)
	{
		*addr8 = 0;
		addr8++;
	}
}

#if defined(__GNUC__) || defined(__ARMCC_VERSION)
__attribute__ ((unused))
#endif
static void cymemcpy8(void *dest, const void *src, unsigned int count)
{
	uint8 *dest8 = (uint8 *)dest;
	const uint8 *src8 = (const uint8 *)src;

	while (count--)
	{
		*dest8 = *src8;
		dest8++;
		src8++;
	}
}

#define CYMEMZERO8(a,c) cymemzero8((a),(c))
#define CYCONFIGCPY8(d,s,c) cymemcpy8((d),(s),(c))
#define CYCONFIGCPYCODE8(d,s,c) cymemcpy8((d),(s),(c))
#endif

static void ClockSetup(void)
{
	reg32  timeout;
	reg32* timeout_p = &timeout;
	reg8   pllLock;
	CY_SET_XTND_REG24((void CYFAR *)(CYDEV_CLKDIST_DCFG0_CFG0), 0x180003);
	CY_SET_REG8((void CYXDATA *)(CYDEV_SLOWCLK_ILO_CR0), 0x02);
	CY_SET_REG8((void CYXDATA *)(CYDEV_CLKDIST_CR), 0x08);
	CY_SET_REG8((void CYXDATA *)(CYDEV_FASTCLK_IMO_CR), 0x03);
	CY_SET_REG8((void CYXDATA *)(CYDEV_MFGCFG_IMO_TR1), (CY_GET_XTND_REG8(CYDEV_FLSHID_BASE + 0x108)));
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_FASTCLK_PLL_P), 0x0008);
	CY_SET_REG8((void CYXDATA *)(CYDEV_CLKDIST_CR), 0x08);
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_FASTCLK_PLL_CFG0), 0x1051);
	pllLock = 0;
	for (timeout = 14; *timeout_p && (pllLock != 0x03u); timeout--) { pllLock = 0x03u & ((pllLock << 1) | ((CY_GET_REG8(CYDEV_FASTCLK_PLL_SR) & 0x01u) >> 0)); }
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_CLKDIST_MSTR0), 0x0103);
	CY_SET_REG8((void CYXDATA *)(CYDEV_CLKDIST_MSTR0), 0x00);
	CY_SET_REG8((void CYXDATA *)(CYDEV_CLKDIST_BCFG0), 0x00);
	CY_SET_REG8((void CYXDATA *)(CYDEV_CLKDIST_BCFG2), 0x48);
	CY_SET_REG8((void CYXDATA *)(CYDEV_CLKDIST_LD), 0x02);

	CY_SET_REG8((void CYXDATA *)(CYDEV_PM_ACT_CFG2), ((CY_GET_REG8(CYDEV_PM_ACT_CFG2) | 0x01)));
}

/* Analog API Functions */
void AnalogSetDefault(void)
{
	CY_SET_REG8(CYDEV_IO_PRT_PRT5_AG, 0x10);
	CY_SET_REG8(CYDEV_IO_PRT_PRT12_AG, 0xAA);
	CY_SET_REG8(CYDEV_ANAIF_CFG_CAPSR_CFG0, 0x00);
	CY_SET_REG8(CYDEV_ANAIF_RT_CMP1_SW3, 0x20);
	CY_SET_REG8(CYDEV_ANAIF_CFG_PUMP_CR0, 0x44);
}

#define CY_AMUX_UNUSED CYDEV_BOOST_SR
uint8 CYXDATA * const CYCODE CapSense_1_sbCSD_cAMux__addrTable[] = {
	(uint8 CYXDATA *)CYDEV_IO_PRT_PRT5_AMUX, 
	(uint8 CYXDATA *)CYDEV_IO_PRT_PRT5_AMUX, 
	(uint8 CYXDATA *)CYDEV_ANAIF_RT_CMP1_SW3, 
};

const uint8 CYCODE CapSense_1_sbCSD_cAMux__maskTable[] = {
	0x80, 
	0x10, 
	0x01, 
};

void CapSense_1_sbCSD_cAMux_Set(uint8 channel)
{
	if (channel >= 3)
		return;
	*CapSense_1_sbCSD_cAMux__addrTable[channel] |= CapSense_1_sbCSD_cAMux__maskTable[channel];
}

void CapSense_1_sbCSD_cAMux_Unset(uint8 channel)
{
	if (channel >= 3)
		return;
	*CapSense_1_sbCSD_cAMux__addrTable[channel] &= ~CapSense_1_sbCSD_cAMux__maskTable[channel];
}


/* Digital routing enable Functions */
static void EnableDigitalRouting() {
	CY_SET_XTND_REG8(CYDEV_UCFG_BCTL0_BANK_CTL, CY_GET_XTND_REG8(CYDEV_UCFG_BCTL0_BANK_CTL) | 0x02);
	CY_SET_XTND_REG8(CYDEV_UCFG_BCTL1_BANK_CTL, CY_GET_XTND_REG8(CYDEV_UCFG_BCTL1_BANK_CTL) | 0x02);
}

/* This function is called by the start-up code for the selected device. */
void cyfitter_cfg(void)
{
	uint8 CYDATA i;

	CY_SET_REG8((void CYXDATA *)(CYDEV_CACHE_CR), ((CYDEV_INSTRUCT_CACHE_ENABLED) ? 0x50 : 0x40));
	CY_SET_REG8((void CYXDATA *)(CYDEV_PHUB_CH0_BASIC_CFG), 0x00);
	CY_SET_REG8((void CYXDATA *)(CYDEV_PHUB_CH1_BASIC_CFG), 0x00);

	CY_SET_XTND_REG8(CYDEV_MFGCFG_MLOGIC_DBG_EN_DBG_EN, (CY_GET_XTND_REG8(CYDEV_MFGCFG_MLOGIC_DBG_EN_DBG_EN) | 0x01));
	for (i = 0; i < CFG_MEMSET_COUNT; i++)
	{
		const cfg_memset_t CYCODE * CYDATA ms = &cfg_memset_list[i];
		CYMEMZERO(ms->address, ms->size);
	}

	for (i = 0; i < CFG_MEMCPY_COUNT; i++)
	{
		const cfg_memcpy_t CYCODE * CYDATA mc = &cfg_memcpy_list[i];
		void * CYDATA dest = mc->dest;
		const void CYCODE * CYDATA src = mc->src;
		uint16 CYDATA size = mc->size;
		CYCONFIGCPYCODE(dest, src, size);
	}

	cfg_write_bytes_code(cfg_byte_table);

	CYCONFIGCPYCODE8((void CYFAR *)(CYDEV_PRTDSI_PRT0_BASE), (void CYCODE *)(BS_IOPORT_0_VAL), 7);
	CYCONFIGCPYCODE8((void CYFAR *)(CYDEV_PRTDSI_PRT1_BASE), (void CYCODE *)(BS_IOPORT_1_VAL), 7);
	CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT2_BASE), 7);
	CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT3_BASE), 7);
	CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT4_BASE), 7);
	CYCONFIGCPYCODE8((void CYFAR *)(CYDEV_PRTDSI_PRT5_BASE), (void CYCODE *)(BS_IOPORT_5_VAL), 7);
	CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT6_BASE), 7);
	CYMEMZERO8((void CYFAR *)(CYDEV_PRTDSI_PRT12_BASE), 6);
	CYCONFIGCPYCODE8((void CYFAR *)(CYDEV_PRTDSI_PRT15_BASE), (void CYCODE *)(BS_IOPORT_8_VAL), 7);
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_ANAIF_CFG_CAPSR_CFG0), 0x0100);
	CY_SET_XTND_REG16((void CYFAR *)(CYDEV_ANAIF_CFG_LUT1_CR), 0x0103);
	CYMEMZERO((void CYFAR *)(CYDEV_PHUB_CFGMEM10_CFG0), 4);
	CYMEMZERO((void CYFAR *)(CYDEV_PHUB_CFGMEM11_CFG0), 4);
	CYMEMZERO((void CYFAR *)(CYDEV_PHUB_CFGMEM14_CFG0), 4);
	CYMEMZERO((void CYFAR *)(CYDEV_PHUB_CFGMEM15_CFG0), 4);
	CYMEMZERO((void CYFAR *)(CYDEV_PHUB_CFGMEM4_CFG0), 4);
	CYMEMZERO((void CYFAR *)(CYDEV_PHUB_CFGMEM6_CFG0), 4);
	CYMEMZERO((void CYFAR *)(CYDEV_PHUB_CFGMEM8_CFG0), 4);
	CYMEMZERO((void CYFAR *)(CYDEV_PHUB_CFGMEM9_CFG0), 4);
	/* BYTES WRITTEN: 98 */
	EnableDigitalRouting();

	CyEnableDigitalArray();

	CYCONFIGCPYCODE((void CYFAR *)(CYDEV_IO_PRT_PRT0_DM0), (void CYCODE *)(BS_IOPINS0_0_VAL), 8);
	CYCONFIGCPYCODE((void CYFAR *)(CYDEV_IO_PRT_PRT1_DM0), (void CYCODE *)(BS_IOPINS0_1_VAL), 8);
	CYCONFIGCPYCODE((void CYFAR *)(CYDEV_IO_PRT_PRT15_DM0), (void CYCODE *)(BS_IOPINS0_8_VAL), 8);
	CYCONFIGCPYCODE((void CYFAR *)(CYDEV_IO_PRT_PRT5_DM0), (void CYCODE *)(BS_IOPINS0_5_VAL), 8);
	CY_SET_REG8((void CYXDATA *)(CYDEV_INTC_CLOCK_EN), 0x01);
	/* BYTES WRITTEN: 33 */

	CY_SET_REG8((void CYXDATA *)(CYDEV_CACHE_CR), ((CYDEV_INSTRUCT_CACHE_ENABLED) ? 0x10 : 0x00));
	ClockSetup();
	CY_SET_REG8((void CYXDATA *)(CYDEV_CACHE_CR), ((CYDEV_INSTRUCT_CACHE_ENABLED) ? 0x50 : 0x40));

	AnalogSetDefault();
}

/* [] END OF FILE */
