/*******************************************************************************
* File Name: nrqOUT.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_nrqOUT_H) /* Pins nrqOUT_H */
#define CY_PINS_nrqOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "nrqOUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    nrqOUT_Write(uint8 value);
void    nrqOUT_SetDriveMode(uint8 mode);
uint8   nrqOUT_ReadDataReg(void);
uint8   nrqOUT_Read(void);
uint8   nrqOUT_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define nrqOUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define nrqOUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define nrqOUT_DM_RES_UP          PIN_DM_RES_UP
#define nrqOUT_DM_RES_DWN         PIN_DM_RES_DWN
#define nrqOUT_DM_OD_LO           PIN_DM_OD_LO
#define nrqOUT_DM_OD_HI           PIN_DM_OD_HI
#define nrqOUT_DM_STRONG          PIN_DM_STRONG
#define nrqOUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define nrqOUT_MASK               nrqOUT__MASK
#define nrqOUT_SHIFT              nrqOUT__SHIFT
#define nrqOUT_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define nrqOUT_PS                     (* (reg8 *) nrqOUT__PS)
/* Data Register */
#define nrqOUT_DR                     (* (reg8 *) nrqOUT__DR)
/* Port Number */
#define nrqOUT_PRT_NUM                (* (reg8 *) nrqOUT__PRT) 
/* Connect to Analog Globals */                                                  
#define nrqOUT_AG                     (* (reg8 *) nrqOUT__AG)                       
/* Analog MUX bux enable */
#define nrqOUT_AMUX                   (* (reg8 *) nrqOUT__AMUX) 
/* Bidirectional Enable */                                                        
#define nrqOUT_BIE                    (* (reg8 *) nrqOUT__BIE)
/* Bit-mask for Aliased Register Access */
#define nrqOUT_BIT_MASK               (* (reg8 *) nrqOUT__BIT_MASK)
/* Bypass Enable */
#define nrqOUT_BYP                    (* (reg8 *) nrqOUT__BYP)
/* Port wide control signals */                                                   
#define nrqOUT_CTL                    (* (reg8 *) nrqOUT__CTL)
/* Drive Modes */
#define nrqOUT_DM0                    (* (reg8 *) nrqOUT__DM0) 
#define nrqOUT_DM1                    (* (reg8 *) nrqOUT__DM1)
#define nrqOUT_DM2                    (* (reg8 *) nrqOUT__DM2) 
/* Input Buffer Disable Override */
#define nrqOUT_INP_DIS                (* (reg8 *) nrqOUT__INP_DIS)
/* LCD Common or Segment Drive */
#define nrqOUT_LCD_COM_SEG            (* (reg8 *) nrqOUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define nrqOUT_LCD_EN                 (* (reg8 *) nrqOUT__LCD_EN)
/* Slew Rate Control */
#define nrqOUT_SLW                    (* (reg8 *) nrqOUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define nrqOUT_PRTDSI__CAPS_SEL       (* (reg8 *) nrqOUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define nrqOUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) nrqOUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define nrqOUT_PRTDSI__OE_SEL0        (* (reg8 *) nrqOUT__PRTDSI__OE_SEL0) 
#define nrqOUT_PRTDSI__OE_SEL1        (* (reg8 *) nrqOUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define nrqOUT_PRTDSI__OUT_SEL0       (* (reg8 *) nrqOUT__PRTDSI__OUT_SEL0) 
#define nrqOUT_PRTDSI__OUT_SEL1       (* (reg8 *) nrqOUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define nrqOUT_PRTDSI__SYNC_OUT       (* (reg8 *) nrqOUT__PRTDSI__SYNC_OUT) 


#if defined(nrqOUT__INTSTAT)  /* Interrupt Registers */

    #define nrqOUT_INTSTAT                (* (reg8 *) nrqOUT__INTSTAT)
    #define nrqOUT_SNAP                   (* (reg8 *) nrqOUT__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins nrqOUT_H */


/* [] END OF FILE */
