/*******************************************************************************
* File Name: ACC_MODE.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_ACC_MODE_H) /* Pins ACC_MODE_H */
#define CY_PINS_ACC_MODE_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ACC_MODE_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    ACC_MODE_Write(uint8 value);
void    ACC_MODE_SetDriveMode(uint8 mode);
uint8   ACC_MODE_ReadDataReg(void);
uint8   ACC_MODE_Read(void);
uint8   ACC_MODE_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ACC_MODE_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define ACC_MODE_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define ACC_MODE_DM_RES_UP          PIN_DM_RES_UP
#define ACC_MODE_DM_RES_DWN         PIN_DM_RES_DWN
#define ACC_MODE_DM_OD_LO           PIN_DM_OD_LO
#define ACC_MODE_DM_OD_HI           PIN_DM_OD_HI
#define ACC_MODE_DM_STRONG          PIN_DM_STRONG
#define ACC_MODE_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define ACC_MODE_MASK               ACC_MODE__MASK
#define ACC_MODE_SHIFT              ACC_MODE__SHIFT
#define ACC_MODE_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ACC_MODE_PS                     (* (reg8 *) ACC_MODE__PS)
/* Data Register */
#define ACC_MODE_DR                     (* (reg8 *) ACC_MODE__DR)
/* Port Number */
#define ACC_MODE_PRT_NUM                (* (reg8 *) ACC_MODE__PRT) 
/* Connect to Analog Globals */                                                  
#define ACC_MODE_AG                     (* (reg8 *) ACC_MODE__AG)                       
/* Analog MUX bux enable */
#define ACC_MODE_AMUX                   (* (reg8 *) ACC_MODE__AMUX) 
/* Bidirectional Enable */                                                        
#define ACC_MODE_BIE                    (* (reg8 *) ACC_MODE__BIE)
/* Bit-mask for Aliased Register Access */
#define ACC_MODE_BIT_MASK               (* (reg8 *) ACC_MODE__BIT_MASK)
/* Bypass Enable */
#define ACC_MODE_BYP                    (* (reg8 *) ACC_MODE__BYP)
/* Port wide control signals */                                                   
#define ACC_MODE_CTL                    (* (reg8 *) ACC_MODE__CTL)
/* Drive Modes */
#define ACC_MODE_DM0                    (* (reg8 *) ACC_MODE__DM0) 
#define ACC_MODE_DM1                    (* (reg8 *) ACC_MODE__DM1)
#define ACC_MODE_DM2                    (* (reg8 *) ACC_MODE__DM2) 
/* Input Buffer Disable Override */
#define ACC_MODE_INP_DIS                (* (reg8 *) ACC_MODE__INP_DIS)
/* LCD Common or Segment Drive */
#define ACC_MODE_LCD_COM_SEG            (* (reg8 *) ACC_MODE__LCD_COM_SEG)
/* Enable Segment LCD */
#define ACC_MODE_LCD_EN                 (* (reg8 *) ACC_MODE__LCD_EN)
/* Slew Rate Control */
#define ACC_MODE_SLW                    (* (reg8 *) ACC_MODE__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ACC_MODE_PRTDSI__CAPS_SEL       (* (reg8 *) ACC_MODE__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ACC_MODE_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ACC_MODE__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ACC_MODE_PRTDSI__OE_SEL0        (* (reg8 *) ACC_MODE__PRTDSI__OE_SEL0) 
#define ACC_MODE_PRTDSI__OE_SEL1        (* (reg8 *) ACC_MODE__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ACC_MODE_PRTDSI__OUT_SEL0       (* (reg8 *) ACC_MODE__PRTDSI__OUT_SEL0) 
#define ACC_MODE_PRTDSI__OUT_SEL1       (* (reg8 *) ACC_MODE__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ACC_MODE_PRTDSI__SYNC_OUT       (* (reg8 *) ACC_MODE__PRTDSI__SYNC_OUT) 


#if defined(ACC_MODE__INTSTAT)  /* Interrupt Registers */

    #define ACC_MODE_INTSTAT                (* (reg8 *) ACC_MODE__INTSTAT)
    #define ACC_MODE_SNAP                   (* (reg8 *) ACC_MODE__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins ACC_MODE_H */


/* [] END OF FILE */
