/*******************************************************************************
* File Name: ACC_ST.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_ACC_ST_H) /* Pins ACC_ST_H */
#define CY_PINS_ACC_ST_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "ACC_ST_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    ACC_ST_Write(uint8 value);
void    ACC_ST_SetDriveMode(uint8 mode);
uint8   ACC_ST_ReadDataReg(void);
uint8   ACC_ST_Read(void);
uint8   ACC_ST_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ACC_ST_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define ACC_ST_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define ACC_ST_DM_RES_UP          PIN_DM_RES_UP
#define ACC_ST_DM_RES_DWN         PIN_DM_RES_DWN
#define ACC_ST_DM_OD_LO           PIN_DM_OD_LO
#define ACC_ST_DM_OD_HI           PIN_DM_OD_HI
#define ACC_ST_DM_STRONG          PIN_DM_STRONG
#define ACC_ST_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define ACC_ST_MASK               ACC_ST__MASK
#define ACC_ST_SHIFT              ACC_ST__SHIFT
#define ACC_ST_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ACC_ST_PS                     (* (reg8 *) ACC_ST__PS)
/* Data Register */
#define ACC_ST_DR                     (* (reg8 *) ACC_ST__DR)
/* Port Number */
#define ACC_ST_PRT_NUM                (* (reg8 *) ACC_ST__PRT) 
/* Connect to Analog Globals */                                                  
#define ACC_ST_AG                     (* (reg8 *) ACC_ST__AG)                       
/* Analog MUX bux enable */
#define ACC_ST_AMUX                   (* (reg8 *) ACC_ST__AMUX) 
/* Bidirectional Enable */                                                        
#define ACC_ST_BIE                    (* (reg8 *) ACC_ST__BIE)
/* Bit-mask for Aliased Register Access */
#define ACC_ST_BIT_MASK               (* (reg8 *) ACC_ST__BIT_MASK)
/* Bypass Enable */
#define ACC_ST_BYP                    (* (reg8 *) ACC_ST__BYP)
/* Port wide control signals */                                                   
#define ACC_ST_CTL                    (* (reg8 *) ACC_ST__CTL)
/* Drive Modes */
#define ACC_ST_DM0                    (* (reg8 *) ACC_ST__DM0) 
#define ACC_ST_DM1                    (* (reg8 *) ACC_ST__DM1)
#define ACC_ST_DM2                    (* (reg8 *) ACC_ST__DM2) 
/* Input Buffer Disable Override */
#define ACC_ST_INP_DIS                (* (reg8 *) ACC_ST__INP_DIS)
/* LCD Common or Segment Drive */
#define ACC_ST_LCD_COM_SEG            (* (reg8 *) ACC_ST__LCD_COM_SEG)
/* Enable Segment LCD */
#define ACC_ST_LCD_EN                 (* (reg8 *) ACC_ST__LCD_EN)
/* Slew Rate Control */
#define ACC_ST_SLW                    (* (reg8 *) ACC_ST__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define ACC_ST_PRTDSI__CAPS_SEL       (* (reg8 *) ACC_ST__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define ACC_ST_PRTDSI__DBL_SYNC_IN    (* (reg8 *) ACC_ST__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define ACC_ST_PRTDSI__OE_SEL0        (* (reg8 *) ACC_ST__PRTDSI__OE_SEL0) 
#define ACC_ST_PRTDSI__OE_SEL1        (* (reg8 *) ACC_ST__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define ACC_ST_PRTDSI__OUT_SEL0       (* (reg8 *) ACC_ST__PRTDSI__OUT_SEL0) 
#define ACC_ST_PRTDSI__OUT_SEL1       (* (reg8 *) ACC_ST__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define ACC_ST_PRTDSI__SYNC_OUT       (* (reg8 *) ACC_ST__PRTDSI__SYNC_OUT) 


#if defined(ACC_ST__INTSTAT)  /* Interrupt Registers */

    #define ACC_ST_INTSTAT                (* (reg8 *) ACC_ST__INTSTAT)
    #define ACC_ST_SNAP                   (* (reg8 *) ACC_ST__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins ACC_ST_H */


/* [] END OF FILE */
