/*******************************************************************************
* File Name: DOUT.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_DOUT_H) /* Pins DOUT_H */
#define CY_PINS_DOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DOUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DOUT_Write(uint8 value);
void    DOUT_SetDriveMode(uint8 mode);
uint8   DOUT_ReadDataReg(void);
uint8   DOUT_Read(void);
uint8   DOUT_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DOUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DOUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DOUT_DM_RES_UP          PIN_DM_RES_UP
#define DOUT_DM_RES_DWN         PIN_DM_RES_DWN
#define DOUT_DM_OD_LO           PIN_DM_OD_LO
#define DOUT_DM_OD_HI           PIN_DM_OD_HI
#define DOUT_DM_STRONG          PIN_DM_STRONG
#define DOUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DOUT_MASK               DOUT__MASK
#define DOUT_SHIFT              DOUT__SHIFT
#define DOUT_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DOUT_PS                     (* (reg8 *) DOUT__PS)
/* Data Register */
#define DOUT_DR                     (* (reg8 *) DOUT__DR)
/* Port Number */
#define DOUT_PRT_NUM                (* (reg8 *) DOUT__PRT) 
/* Connect to Analog Globals */                                                  
#define DOUT_AG                     (* (reg8 *) DOUT__AG)                       
/* Analog MUX bux enable */
#define DOUT_AMUX                   (* (reg8 *) DOUT__AMUX) 
/* Bidirectional Enable */                                                        
#define DOUT_BIE                    (* (reg8 *) DOUT__BIE)
/* Bit-mask for Aliased Register Access */
#define DOUT_BIT_MASK               (* (reg8 *) DOUT__BIT_MASK)
/* Bypass Enable */
#define DOUT_BYP                    (* (reg8 *) DOUT__BYP)
/* Port wide control signals */                                                   
#define DOUT_CTL                    (* (reg8 *) DOUT__CTL)
/* Drive Modes */
#define DOUT_DM0                    (* (reg8 *) DOUT__DM0) 
#define DOUT_DM1                    (* (reg8 *) DOUT__DM1)
#define DOUT_DM2                    (* (reg8 *) DOUT__DM2) 
/* Input Buffer Disable Override */
#define DOUT_INP_DIS                (* (reg8 *) DOUT__INP_DIS)
/* LCD Common or Segment Drive */
#define DOUT_LCD_COM_SEG            (* (reg8 *) DOUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define DOUT_LCD_EN                 (* (reg8 *) DOUT__LCD_EN)
/* Slew Rate Control */
#define DOUT_SLW                    (* (reg8 *) DOUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DOUT_PRTDSI__CAPS_SEL       (* (reg8 *) DOUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DOUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DOUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DOUT_PRTDSI__OE_SEL0        (* (reg8 *) DOUT__PRTDSI__OE_SEL0) 
#define DOUT_PRTDSI__OE_SEL1        (* (reg8 *) DOUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DOUT_PRTDSI__OUT_SEL0       (* (reg8 *) DOUT__PRTDSI__OUT_SEL0) 
#define DOUT_PRTDSI__OUT_SEL1       (* (reg8 *) DOUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DOUT_PRTDSI__SYNC_OUT       (* (reg8 *) DOUT__PRTDSI__SYNC_OUT) 


#if defined(DOUT__INTSTAT)  /* Interrupt Registers */

    #define DOUT_INTSTAT                (* (reg8 *) DOUT__INTSTAT)
    #define DOUT_SNAP                   (* (reg8 *) DOUT__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DOUT_H */


/* [] END OF FILE */
