/*******************************************************************************
* File Name: DROUT.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_DROUT_H) /* Pins DROUT_H */
#define CY_PINS_DROUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DROUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DROUT_Write(uint8 value);
void    DROUT_SetDriveMode(uint8 mode);
uint8   DROUT_ReadDataReg(void);
uint8   DROUT_Read(void);
uint8   DROUT_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DROUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DROUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DROUT_DM_RES_UP          PIN_DM_RES_UP
#define DROUT_DM_RES_DWN         PIN_DM_RES_DWN
#define DROUT_DM_OD_LO           PIN_DM_OD_LO
#define DROUT_DM_OD_HI           PIN_DM_OD_HI
#define DROUT_DM_STRONG          PIN_DM_STRONG
#define DROUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DROUT_MASK               DROUT__MASK
#define DROUT_SHIFT              DROUT__SHIFT
#define DROUT_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DROUT_PS                     (* (reg8 *) DROUT__PS)
/* Data Register */
#define DROUT_DR                     (* (reg8 *) DROUT__DR)
/* Port Number */
#define DROUT_PRT_NUM                (* (reg8 *) DROUT__PRT) 
/* Connect to Analog Globals */                                                  
#define DROUT_AG                     (* (reg8 *) DROUT__AG)                       
/* Analog MUX bux enable */
#define DROUT_AMUX                   (* (reg8 *) DROUT__AMUX) 
/* Bidirectional Enable */                                                        
#define DROUT_BIE                    (* (reg8 *) DROUT__BIE)
/* Bit-mask for Aliased Register Access */
#define DROUT_BIT_MASK               (* (reg8 *) DROUT__BIT_MASK)
/* Bypass Enable */
#define DROUT_BYP                    (* (reg8 *) DROUT__BYP)
/* Port wide control signals */                                                   
#define DROUT_CTL                    (* (reg8 *) DROUT__CTL)
/* Drive Modes */
#define DROUT_DM0                    (* (reg8 *) DROUT__DM0) 
#define DROUT_DM1                    (* (reg8 *) DROUT__DM1)
#define DROUT_DM2                    (* (reg8 *) DROUT__DM2) 
/* Input Buffer Disable Override */
#define DROUT_INP_DIS                (* (reg8 *) DROUT__INP_DIS)
/* LCD Common or Segment Drive */
#define DROUT_LCD_COM_SEG            (* (reg8 *) DROUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define DROUT_LCD_EN                 (* (reg8 *) DROUT__LCD_EN)
/* Slew Rate Control */
#define DROUT_SLW                    (* (reg8 *) DROUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DROUT_PRTDSI__CAPS_SEL       (* (reg8 *) DROUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DROUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DROUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DROUT_PRTDSI__OE_SEL0        (* (reg8 *) DROUT__PRTDSI__OE_SEL0) 
#define DROUT_PRTDSI__OE_SEL1        (* (reg8 *) DROUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DROUT_PRTDSI__OUT_SEL0       (* (reg8 *) DROUT__PRTDSI__OUT_SEL0) 
#define DROUT_PRTDSI__OUT_SEL1       (* (reg8 *) DROUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DROUT_PRTDSI__SYNC_OUT       (* (reg8 *) DROUT__PRTDSI__SYNC_OUT) 


#if defined(DROUT__INTSTAT)  /* Interrupt Registers */

    #define DROUT_INTSTAT                (* (reg8 *) DROUT__INTSTAT)
    #define DROUT_SNAP                   (* (reg8 *) DROUT__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DROUT_H */


/* [] END OF FILE */
