/*******************************************************************************
* File Name: DRQOUT.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_DRQOUT_H) /* Pins DRQOUT_H */
#define CY_PINS_DRQOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DRQOUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DRQOUT_Write(uint8 value);
void    DRQOUT_SetDriveMode(uint8 mode);
uint8   DRQOUT_ReadDataReg(void);
uint8   DRQOUT_Read(void);
uint8   DRQOUT_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DRQOUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DRQOUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DRQOUT_DM_RES_UP          PIN_DM_RES_UP
#define DRQOUT_DM_RES_DWN         PIN_DM_RES_DWN
#define DRQOUT_DM_OD_LO           PIN_DM_OD_LO
#define DRQOUT_DM_OD_HI           PIN_DM_OD_HI
#define DRQOUT_DM_STRONG          PIN_DM_STRONG
#define DRQOUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DRQOUT_MASK               DRQOUT__MASK
#define DRQOUT_SHIFT              DRQOUT__SHIFT
#define DRQOUT_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DRQOUT_PS                     (* (reg8 *) DRQOUT__PS)
/* Data Register */
#define DRQOUT_DR                     (* (reg8 *) DRQOUT__DR)
/* Port Number */
#define DRQOUT_PRT_NUM                (* (reg8 *) DRQOUT__PRT) 
/* Connect to Analog Globals */                                                  
#define DRQOUT_AG                     (* (reg8 *) DRQOUT__AG)                       
/* Analog MUX bux enable */
#define DRQOUT_AMUX                   (* (reg8 *) DRQOUT__AMUX) 
/* Bidirectional Enable */                                                        
#define DRQOUT_BIE                    (* (reg8 *) DRQOUT__BIE)
/* Bit-mask for Aliased Register Access */
#define DRQOUT_BIT_MASK               (* (reg8 *) DRQOUT__BIT_MASK)
/* Bypass Enable */
#define DRQOUT_BYP                    (* (reg8 *) DRQOUT__BYP)
/* Port wide control signals */                                                   
#define DRQOUT_CTL                    (* (reg8 *) DRQOUT__CTL)
/* Drive Modes */
#define DRQOUT_DM0                    (* (reg8 *) DRQOUT__DM0) 
#define DRQOUT_DM1                    (* (reg8 *) DRQOUT__DM1)
#define DRQOUT_DM2                    (* (reg8 *) DRQOUT__DM2) 
/* Input Buffer Disable Override */
#define DRQOUT_INP_DIS                (* (reg8 *) DRQOUT__INP_DIS)
/* LCD Common or Segment Drive */
#define DRQOUT_LCD_COM_SEG            (* (reg8 *) DRQOUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define DRQOUT_LCD_EN                 (* (reg8 *) DRQOUT__LCD_EN)
/* Slew Rate Control */
#define DRQOUT_SLW                    (* (reg8 *) DRQOUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DRQOUT_PRTDSI__CAPS_SEL       (* (reg8 *) DRQOUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DRQOUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DRQOUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DRQOUT_PRTDSI__OE_SEL0        (* (reg8 *) DRQOUT__PRTDSI__OE_SEL0) 
#define DRQOUT_PRTDSI__OE_SEL1        (* (reg8 *) DRQOUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DRQOUT_PRTDSI__OUT_SEL0       (* (reg8 *) DRQOUT__PRTDSI__OUT_SEL0) 
#define DRQOUT_PRTDSI__OUT_SEL1       (* (reg8 *) DRQOUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DRQOUT_PRTDSI__SYNC_OUT       (* (reg8 *) DRQOUT__PRTDSI__SYNC_OUT) 


#if defined(DRQOUT__INTSTAT)  /* Interrupt Registers */

    #define DRQOUT_INTSTAT                (* (reg8 *) DRQOUT__INTSTAT)
    #define DRQOUT_SNAP                   (* (reg8 *) DRQOUT__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DRQOUT_H */


/* [] END OF FILE */
