/*******************************************************************************
* File Name: HDISP.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_HDISP_H) /* Pins HDISP_H */
#define CY_PINS_HDISP_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "HDISP_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    HDISP_Write(uint8 value);
void    HDISP_SetDriveMode(uint8 mode);
uint8   HDISP_ReadDataReg(void);
uint8   HDISP_Read(void);
uint8   HDISP_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define HDISP_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define HDISP_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define HDISP_DM_RES_UP          PIN_DM_RES_UP
#define HDISP_DM_RES_DWN         PIN_DM_RES_DWN
#define HDISP_DM_OD_LO           PIN_DM_OD_LO
#define HDISP_DM_OD_HI           PIN_DM_OD_HI
#define HDISP_DM_STRONG          PIN_DM_STRONG
#define HDISP_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define HDISP_MASK               HDISP__MASK
#define HDISP_SHIFT              HDISP__SHIFT
#define HDISP_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define HDISP_PS                     (* (reg8 *) HDISP__PS)
/* Data Register */
#define HDISP_DR                     (* (reg8 *) HDISP__DR)
/* Port Number */
#define HDISP_PRT_NUM                (* (reg8 *) HDISP__PRT) 
/* Connect to Analog Globals */                                                  
#define HDISP_AG                     (* (reg8 *) HDISP__AG)                       
/* Analog MUX bux enable */
#define HDISP_AMUX                   (* (reg8 *) HDISP__AMUX) 
/* Bidirectional Enable */                                                        
#define HDISP_BIE                    (* (reg8 *) HDISP__BIE)
/* Bit-mask for Aliased Register Access */
#define HDISP_BIT_MASK               (* (reg8 *) HDISP__BIT_MASK)
/* Bypass Enable */
#define HDISP_BYP                    (* (reg8 *) HDISP__BYP)
/* Port wide control signals */                                                   
#define HDISP_CTL                    (* (reg8 *) HDISP__CTL)
/* Drive Modes */
#define HDISP_DM0                    (* (reg8 *) HDISP__DM0) 
#define HDISP_DM1                    (* (reg8 *) HDISP__DM1)
#define HDISP_DM2                    (* (reg8 *) HDISP__DM2) 
/* Input Buffer Disable Override */
#define HDISP_INP_DIS                (* (reg8 *) HDISP__INP_DIS)
/* LCD Common or Segment Drive */
#define HDISP_LCD_COM_SEG            (* (reg8 *) HDISP__LCD_COM_SEG)
/* Enable Segment LCD */
#define HDISP_LCD_EN                 (* (reg8 *) HDISP__LCD_EN)
/* Slew Rate Control */
#define HDISP_SLW                    (* (reg8 *) HDISP__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define HDISP_PRTDSI__CAPS_SEL       (* (reg8 *) HDISP__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define HDISP_PRTDSI__DBL_SYNC_IN    (* (reg8 *) HDISP__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define HDISP_PRTDSI__OE_SEL0        (* (reg8 *) HDISP__PRTDSI__OE_SEL0) 
#define HDISP_PRTDSI__OE_SEL1        (* (reg8 *) HDISP__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define HDISP_PRTDSI__OUT_SEL0       (* (reg8 *) HDISP__PRTDSI__OUT_SEL0) 
#define HDISP_PRTDSI__OUT_SEL1       (* (reg8 *) HDISP__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define HDISP_PRTDSI__SYNC_OUT       (* (reg8 *) HDISP__PRTDSI__SYNC_OUT) 


#if defined(HDISP__INTSTAT)  /* Interrupt Registers */

    #define HDISP_INTSTAT                (* (reg8 *) HDISP__INTSTAT)
    #define HDISP_SNAP                   (* (reg8 *) HDISP__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins HDISP_H */


/* [] END OF FILE */
