/*******************************************************************************
* File Name: HSYNCOUT.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_HSYNCOUT_H) /* Pins HSYNCOUT_H */
#define CY_PINS_HSYNCOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "HSYNCOUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    HSYNCOUT_Write(uint8 value);
void    HSYNCOUT_SetDriveMode(uint8 mode);
uint8   HSYNCOUT_ReadDataReg(void);
uint8   HSYNCOUT_Read(void);
uint8   HSYNCOUT_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define HSYNCOUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define HSYNCOUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define HSYNCOUT_DM_RES_UP          PIN_DM_RES_UP
#define HSYNCOUT_DM_RES_DWN         PIN_DM_RES_DWN
#define HSYNCOUT_DM_OD_LO           PIN_DM_OD_LO
#define HSYNCOUT_DM_OD_HI           PIN_DM_OD_HI
#define HSYNCOUT_DM_STRONG          PIN_DM_STRONG
#define HSYNCOUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define HSYNCOUT_MASK               HSYNCOUT__MASK
#define HSYNCOUT_SHIFT              HSYNCOUT__SHIFT
#define HSYNCOUT_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define HSYNCOUT_PS                     (* (reg8 *) HSYNCOUT__PS)
/* Data Register */
#define HSYNCOUT_DR                     (* (reg8 *) HSYNCOUT__DR)
/* Port Number */
#define HSYNCOUT_PRT_NUM                (* (reg8 *) HSYNCOUT__PRT) 
/* Connect to Analog Globals */                                                  
#define HSYNCOUT_AG                     (* (reg8 *) HSYNCOUT__AG)                       
/* Analog MUX bux enable */
#define HSYNCOUT_AMUX                   (* (reg8 *) HSYNCOUT__AMUX) 
/* Bidirectional Enable */                                                        
#define HSYNCOUT_BIE                    (* (reg8 *) HSYNCOUT__BIE)
/* Bit-mask for Aliased Register Access */
#define HSYNCOUT_BIT_MASK               (* (reg8 *) HSYNCOUT__BIT_MASK)
/* Bypass Enable */
#define HSYNCOUT_BYP                    (* (reg8 *) HSYNCOUT__BYP)
/* Port wide control signals */                                                   
#define HSYNCOUT_CTL                    (* (reg8 *) HSYNCOUT__CTL)
/* Drive Modes */
#define HSYNCOUT_DM0                    (* (reg8 *) HSYNCOUT__DM0) 
#define HSYNCOUT_DM1                    (* (reg8 *) HSYNCOUT__DM1)
#define HSYNCOUT_DM2                    (* (reg8 *) HSYNCOUT__DM2) 
/* Input Buffer Disable Override */
#define HSYNCOUT_INP_DIS                (* (reg8 *) HSYNCOUT__INP_DIS)
/* LCD Common or Segment Drive */
#define HSYNCOUT_LCD_COM_SEG            (* (reg8 *) HSYNCOUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define HSYNCOUT_LCD_EN                 (* (reg8 *) HSYNCOUT__LCD_EN)
/* Slew Rate Control */
#define HSYNCOUT_SLW                    (* (reg8 *) HSYNCOUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define HSYNCOUT_PRTDSI__CAPS_SEL       (* (reg8 *) HSYNCOUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define HSYNCOUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) HSYNCOUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define HSYNCOUT_PRTDSI__OE_SEL0        (* (reg8 *) HSYNCOUT__PRTDSI__OE_SEL0) 
#define HSYNCOUT_PRTDSI__OE_SEL1        (* (reg8 *) HSYNCOUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define HSYNCOUT_PRTDSI__OUT_SEL0       (* (reg8 *) HSYNCOUT__PRTDSI__OUT_SEL0) 
#define HSYNCOUT_PRTDSI__OUT_SEL1       (* (reg8 *) HSYNCOUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define HSYNCOUT_PRTDSI__SYNC_OUT       (* (reg8 *) HSYNCOUT__PRTDSI__SYNC_OUT) 


#if defined(HSYNCOUT__INTSTAT)  /* Interrupt Registers */

    #define HSYNCOUT_INTSTAT                (* (reg8 *) HSYNCOUT__INTSTAT)
    #define HSYNCOUT_SNAP                   (* (reg8 *) HSYNCOUT__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins HSYNCOUT_H */


/* [] END OF FILE */
