/*******************************************************************************
* File Name: LOADOUT.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_LOADOUT_H) /* Pins LOADOUT_H */
#define CY_PINS_LOADOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "LOADOUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    LOADOUT_Write(uint8 value);
void    LOADOUT_SetDriveMode(uint8 mode);
uint8   LOADOUT_ReadDataReg(void);
uint8   LOADOUT_Read(void);
uint8   LOADOUT_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define LOADOUT_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define LOADOUT_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define LOADOUT_DM_RES_UP          PIN_DM_RES_UP
#define LOADOUT_DM_RES_DWN         PIN_DM_RES_DWN
#define LOADOUT_DM_OD_LO           PIN_DM_OD_LO
#define LOADOUT_DM_OD_HI           PIN_DM_OD_HI
#define LOADOUT_DM_STRONG          PIN_DM_STRONG
#define LOADOUT_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define LOADOUT_MASK               LOADOUT__MASK
#define LOADOUT_SHIFT              LOADOUT__SHIFT
#define LOADOUT_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define LOADOUT_PS                     (* (reg8 *) LOADOUT__PS)
/* Data Register */
#define LOADOUT_DR                     (* (reg8 *) LOADOUT__DR)
/* Port Number */
#define LOADOUT_PRT_NUM                (* (reg8 *) LOADOUT__PRT) 
/* Connect to Analog Globals */                                                  
#define LOADOUT_AG                     (* (reg8 *) LOADOUT__AG)                       
/* Analog MUX bux enable */
#define LOADOUT_AMUX                   (* (reg8 *) LOADOUT__AMUX) 
/* Bidirectional Enable */                                                        
#define LOADOUT_BIE                    (* (reg8 *) LOADOUT__BIE)
/* Bit-mask for Aliased Register Access */
#define LOADOUT_BIT_MASK               (* (reg8 *) LOADOUT__BIT_MASK)
/* Bypass Enable */
#define LOADOUT_BYP                    (* (reg8 *) LOADOUT__BYP)
/* Port wide control signals */                                                   
#define LOADOUT_CTL                    (* (reg8 *) LOADOUT__CTL)
/* Drive Modes */
#define LOADOUT_DM0                    (* (reg8 *) LOADOUT__DM0) 
#define LOADOUT_DM1                    (* (reg8 *) LOADOUT__DM1)
#define LOADOUT_DM2                    (* (reg8 *) LOADOUT__DM2) 
/* Input Buffer Disable Override */
#define LOADOUT_INP_DIS                (* (reg8 *) LOADOUT__INP_DIS)
/* LCD Common or Segment Drive */
#define LOADOUT_LCD_COM_SEG            (* (reg8 *) LOADOUT__LCD_COM_SEG)
/* Enable Segment LCD */
#define LOADOUT_LCD_EN                 (* (reg8 *) LOADOUT__LCD_EN)
/* Slew Rate Control */
#define LOADOUT_SLW                    (* (reg8 *) LOADOUT__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define LOADOUT_PRTDSI__CAPS_SEL       (* (reg8 *) LOADOUT__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define LOADOUT_PRTDSI__DBL_SYNC_IN    (* (reg8 *) LOADOUT__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define LOADOUT_PRTDSI__OE_SEL0        (* (reg8 *) LOADOUT__PRTDSI__OE_SEL0) 
#define LOADOUT_PRTDSI__OE_SEL1        (* (reg8 *) LOADOUT__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define LOADOUT_PRTDSI__OUT_SEL0       (* (reg8 *) LOADOUT__PRTDSI__OUT_SEL0) 
#define LOADOUT_PRTDSI__OUT_SEL1       (* (reg8 *) LOADOUT__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define LOADOUT_PRTDSI__SYNC_OUT       (* (reg8 *) LOADOUT__PRTDSI__SYNC_OUT) 


#if defined(LOADOUT__INTSTAT)  /* Interrupt Registers */

    #define LOADOUT_INTSTAT                (* (reg8 *) LOADOUT__INTSTAT)
    #define LOADOUT_SNAP                   (* (reg8 *) LOADOUT__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins LOADOUT_H */


/* [] END OF FILE */
