/*******************************************************************************
* File Name: SW_IN.h  
* Version 1.20
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2009, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_SW_IN_H) /* Pins SW_IN_H */
#define CY_PINS_SW_IN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SW_IN_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SW_IN_Write(uint8 value);
void    SW_IN_SetDriveMode(uint8 mode);
uint8   SW_IN_ReadDataReg(void);
uint8   SW_IN_Read(void);
uint8   SW_IN_ClearInterrupt(void);

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SW_IN_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SW_IN_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SW_IN_DM_RES_UP          PIN_DM_RES_UP
#define SW_IN_DM_RES_DWN         PIN_DM_RES_DWN
#define SW_IN_DM_OD_LO           PIN_DM_OD_LO
#define SW_IN_DM_OD_HI           PIN_DM_OD_HI
#define SW_IN_DM_STRONG          PIN_DM_STRONG
#define SW_IN_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SW_IN_MASK               SW_IN__MASK
#define SW_IN_SHIFT              SW_IN__SHIFT
#define SW_IN_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SW_IN_PS                     (* (reg8 *) SW_IN__PS)
/* Data Register */
#define SW_IN_DR                     (* (reg8 *) SW_IN__DR)
/* Port Number */
#define SW_IN_PRT_NUM                (* (reg8 *) SW_IN__PRT) 
/* Connect to Analog Globals */                                                  
#define SW_IN_AG                     (* (reg8 *) SW_IN__AG)                       
/* Analog MUX bux enable */
#define SW_IN_AMUX                   (* (reg8 *) SW_IN__AMUX) 
/* Bidirectional Enable */                                                        
#define SW_IN_BIE                    (* (reg8 *) SW_IN__BIE)
/* Bit-mask for Aliased Register Access */
#define SW_IN_BIT_MASK               (* (reg8 *) SW_IN__BIT_MASK)
/* Bypass Enable */
#define SW_IN_BYP                    (* (reg8 *) SW_IN__BYP)
/* Port wide control signals */                                                   
#define SW_IN_CTL                    (* (reg8 *) SW_IN__CTL)
/* Drive Modes */
#define SW_IN_DM0                    (* (reg8 *) SW_IN__DM0) 
#define SW_IN_DM1                    (* (reg8 *) SW_IN__DM1)
#define SW_IN_DM2                    (* (reg8 *) SW_IN__DM2) 
/* Input Buffer Disable Override */
#define SW_IN_INP_DIS                (* (reg8 *) SW_IN__INP_DIS)
/* LCD Common or Segment Drive */
#define SW_IN_LCD_COM_SEG            (* (reg8 *) SW_IN__LCD_COM_SEG)
/* Enable Segment LCD */
#define SW_IN_LCD_EN                 (* (reg8 *) SW_IN__LCD_EN)
/* Slew Rate Control */
#define SW_IN_SLW                    (* (reg8 *) SW_IN__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SW_IN_PRTDSI__CAPS_SEL       (* (reg8 *) SW_IN__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SW_IN_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SW_IN__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SW_IN_PRTDSI__OE_SEL0        (* (reg8 *) SW_IN__PRTDSI__OE_SEL0) 
#define SW_IN_PRTDSI__OE_SEL1        (* (reg8 *) SW_IN__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SW_IN_PRTDSI__OUT_SEL0       (* (reg8 *) SW_IN__PRTDSI__OUT_SEL0) 
#define SW_IN_PRTDSI__OUT_SEL1       (* (reg8 *) SW_IN__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SW_IN_PRTDSI__SYNC_OUT       (* (reg8 *) SW_IN__PRTDSI__SYNC_OUT) 


#if defined(SW_IN__INTSTAT)  /* Interrupt Registers */

    #define SW_IN_INTSTAT                (* (reg8 *) SW_IN__INTSTAT)
    #define SW_IN_SNAP                   (* (reg8 *) SW_IN__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins SW_IN_H */


/* [] END OF FILE */
