/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>
#include <sintable.h>

#define	STS_READY	0x00
#define	STS_INVALID_TD	0x01
unsigned char	hDMA_td[8];
unsigned char	hDMA_ch[8];
//#define	DISPBUFSIZE	6144		// 256dot*192lines/8
//#define	DISPBUFSIZE	3072		// 256dot*96 lines/8
#define	DISPBUFSIZE	1536		// 256dot*96 lines/8
//#define	DISPBUFSIZE	128	// 256dot*4lines/8
//#define	DISPBUFSIZE	64	// 256dot*2lines/8
unsigned char	dispbuf_r[DISPBUFSIZE];
unsigned char	dispbuf_c[DISPBUFSIZE];
unsigned int init_dma()
{
	unsigned char	c;
	hDMA_ch[0] = DMA_1_DmaInitialize(1,	// uint8 BurstCount,
					1,	// uint8 ReqestPerBurst,
					0,	// uint16 UpperSrcAddress, 
					0);	// uint16 UpperDestAddress);
	hDMA_ch[1] = DMA_2_DmaInitialize(1,	// uint8 BurstCount,
					1,	// uint8 ReqestPerBurst,
					0,	// uint16 UpperSrcAddress, 
					0);	// uint16 UpperDestAddress);
	hDMA_ch[2] = DMA_3_DmaInitialize(1,	// uint8 BurstCount,
					1,	// uint8 ReqestPerBurst,
					0,	// uint16 UpperSrcAddress, 
					0);	// uint16 UpperDestAddress);
	hDMA_ch[3] = DMA_4_DmaInitialize(1,	// uint8 BurstCount,
					1,	// uint8 ReqestPerBurst,
					0,	// uint16 UpperSrcAddress, 
					0);	// uint16 UpperDestAddress);
	hDMA_ch[4] = DMA_5_DmaInitialize(1,	// uint8 BurstCount,
					1,	// uint8 ReqestPerBurst,
					0,	// uint16 UpperSrcAddress, 
					0);	// uint16 UpperDestAddress);
	hDMA_ch[5] = DMA_6_DmaInitialize(1,	// uint8 BurstCount,
					1,	// uint8 ReqestPerBurst,
					0,	// uint16 UpperSrcAddress, 
					0);	// uint16 UpperDestAddress);
	hDMA_ch[6] = DMA_7_DmaInitialize(1,	// uint8 BurstCount,
					1,	// uint8 ReqestPerBurst,
					0,	// uint16 UpperSrcAddress, 
					0);	// uint16 UpperDestAddress);
	hDMA_ch[7] = DMA_8_DmaInitialize(1,	// uint8 BurstCount,
					1,	// uint8 ReqestPerBurst,
					0,	// uint16 UpperSrcAddress, 
					0);	// uint16 UpperDestAddress);
	for (c=0; c<8; c++) {
		hDMA_td[c] = CyDmaTdAllocate();	// TD̈m
		if (hDMA_td[c] == DMA_INVALID_TD) {
			return(STS_INVALID_TD);
		}

		CyDmaTdSetConfiguration(
					hDMA_td[c],		// uint8 tdHandle,
					DISPBUFSIZE,		// uint16 transferCount,
					hDMA_td[c],		// uint8 nextTd,
					TD_INC_SRC_ADR);	// uint8 configuration);
		if (c < 4)
			CyDmaTdSetAddress(
					hDMA_td[c],		// uint8 tdHandle,
					(uint16)&dispbuf_r[0],	// uint16 source, 
					(uint16)Control_Reg_1_ctrl_reg__CONTROL_REG);
		else 	CyDmaTdSetAddress(
					hDMA_td[c],		// uint8 tdHandle,
					(uint16)&dispbuf_c[0],	// uint16 source, 
					(uint16)Control_Reg_2_ctrl_reg__CONTROL_REG);


		CyDmaChSetInitialTd(	hDMA_ch[c],		// uint8 chHandle,
					hDMA_td[c]);		//  uint8 startTd);

	}
	for (c=0; c<8; c++)
		CyDmaChEnable(		hDMA_ch[c],		// uint8 chHandle, 
					1);			// uint8 preserveTds);
}


const unsigned char	bitpos[8] = {0x01,0x02,0x04,0x08,0x10,0x20,0x40,0x80};
void pset(x,y,color)
	unsigned char	x,y,color;
{
	unsigned char bytex,bitx;
	bytex = x >> 3;
	bitx =bitpos[x & 0x7];
	if (color & 1)
		dispbuf_r[y*16+bytex] |= bitx;
	else	dispbuf_r[y*16+bytex] &= ~bitx;

	if (color & 2)
		dispbuf_c[y*16+bytex] |= bitx;
	else	dispbuf_c[y*16+bytex] &= ~bitx;
}

void line(x0,y0,x1,y1,col)
	unsigned int x0,y0,x1,y1,col;
{
	unsigned int c,d,e;
	if (x1 > x0)
		c = x1-x0;
	else	c = x0-x1;
	if (y1 > y0)
		d = y1-y0;
	else	d = y0-y1;

	if (c > d) {	// XɃXL
		if (x0 > x1) {
			x0 ^= x1;
			x1 ^= x0;
			x0 ^= x1;
	
			y0 ^= y1;
			y1 ^= y0;
			y0 ^= y1;
		}
		e = c/2;
		while(x0 <= x1) {
			pset(x0,y0,col);
			e += d;
			if (e >= c) {
				e -= c;
				if (y0 < y1)
					y0++;
				else 	y0--;
			}
			x0++;
		}
	} else {
		if (y0 > y1) {
			y0 ^= y1;
			y1 ^= y0;
			y0 ^= y1;

			x0 ^= x1;
			x1 ^= x0;
			x0 ^= x1;
		}
		e = d/2;
		while(y0 <= y1) {
			pset(x0,y0,col);
			e += c;
			if (e >=d) {
				e-=d;
				if (x0 < x1)
					x0++;
				else	x0--;
			}
			y0++;
		}
	}
}

void clear_screen()
{
	unsigned int i;
	for (i=0; i<DISPBUFSIZE; i++) {
		dispbuf_r[i] = 0;
		dispbuf_c[i] = 0;
	}
}

#define	BLKN_X	4
#define	BLKN_Y	5
#define	BLKNUM	20
unsigned char	blk_avail[BLKN_X][BLKN_Y];

void draw_block(x,y,col)
	unsigned char x,y,col;
{
	unsigned char	c,m;
	unsigned int	p;
	p = (unsigned int)y*256+((unsigned int)x>>1)+128+12;
	m = (x & 1) ? 0xf0 : 0x0f;

	for (c=0; c<16; c++) {
		if (col & 1)
			dispbuf_r[p] |= m;
		else	dispbuf_r[p] &= ~m;
		if (col & 2)
			dispbuf_c[p] |= m;
		else	dispbuf_c[p] &= ~m;
		p += 16;
	}
}

void init_screen()
{
	unsigned char	i,j,col;
	clear_screen();
	line(0,7,127,7,1);
	line(127,7,127,88,1);
//	line(0,7,0,88,3);
	line(0,88,127,88,1);
	for (i=0; i<BLKN_X; i++) {
		for (j=0; j<BLKN_Y; j++) {
			blk_avail[i][j] = 1;
			col = (i+j)&1 ? 2:3;
			draw_block(i,j,col);
		}
	}
}

unsigned char	paddle_c, paddle_p;
unsigned char	score;
unsigned char	px,py,ppx,ppy;
char		dir;
char		dx,dy;

unsigned char move()
{
	unsigned char	bx,by,ex,ey,f;
	if ((px>=96) && (px<112)) {
		ex = px-96;
		bx = ex >>2;
		ex &= 3;
		
		ey = py-8;
		by = ey >>4;
		ey &= 0xf;
		f = ex | (ey << 4);
		if (blk_avail[bx][by]) {
			switch(dir) {
				case	0x2:
						if ((bx > 1) &&
						    (f == 0x00) && blk_avail[bx-1][by] && blk_avail[bx][by-1]) {
							bx = bx-1;
							px = ppx; py = ppy;
							dir ^= 0xc;
						} else {
							if (ey == 0)
								dir ^= 8;
							if (ex == 0)
								dir ^= 4;
						}
						break;
				case	0x6:
						if ((bx < 3) &&
						   (f == 0x03) && blk_avail[bx+1][by] && blk_avail[bx][by-1]) {
							bx = bx+1;
							dir ^= 0xc;
						} else {
							if (ey == 0)
								dir ^= 8;
							if (ex == 0x3)
								dir ^= 4;
						}
						break;
				case	0x0a:
						if ((bx > 1) && blk_avail[bx-1][by] && blk_avail[bx][by+1]) {
							bx = bx-1;
							dir ^= 0xc;
						} else {
							if (ey == 0xf)
								dir ^= 8;
							if (ex == 0)
								dir ^= 4;
						}
						break;
				case	0x0e:
				default:
						if ((bx < 3) && 
						   (f == 0xf3) && blk_avail[bx+1][by] && blk_avail[bx][by+1]) {
							bx = bx+1;
							dir ^= 0xc;
						} else {
							if (ey == 0xf)
								dir ^= 8;
							if (ex == 0x3)
								dir ^= 4;
						}
						break;
			}
			blk_avail[bx][by] = 0;
			draw_block(bx,by,0);
			score++;
		}
	}
	if (px <= 1) {
		if ((py >= paddle_c+8) && (py <= paddle_c+23))
			dir ^= 0x04;
		else	return(1);
	}
	if (px >=126)
		dir ^= 0x04;
	if ((py <= 8) || (py >= 87))
		dir ^= 0x08;
	dx = (dir & 0x4) ? -1 : 1;
	dy = (dir & 0x8) ? -1 : 1;
	ppx = px;
	ppy = py;
	px += dx;
	py += dy;
	return(0);
}

unsigned int	prox_base;
paddle()
{
	unsigned int	i;
	CapSense_1_ScanAllSlots();
	CapSense_1_CSHL_UpdateAllBaselines();
	i = CapSense_1_CSD_ReadSlot(CapSense_1_SCANSLOT_PROX_PROXSENSE) >> 2;
	if (i < prox_base) {
		i = 0;
	} else {
		i -= prox_base;
		if (i > 0x40)
			i = 0x40;
	}
	paddle_c = i;
	line(0,paddle_p+8,0,paddle_p+23,0);
	line(0,paddle_c+8,0,paddle_c+23,3);
	paddle_p = paddle_c;
}

unsigned char bounds()
{
	while(score < BLKNUM) {
		paddle();
		if (move()) {
			pset(px,py,0);
			return(1);
		}
		pset(ppx,ppy,0);
		pset(px,py,3);
		while (SW_IN_Read())
			;
	}
	return(0);
}

prox_adjust()
{
	unsigned int i;
	for (i=0; i<10; i++) {
		CapSense_1_ScanAllSlots();
		CapSense_1_CSHL_UpdateAllBaselines();
	}
	prox_base = (CapSense_1_CSD_ReadSlot(CapSense_1_SCANSLOT_PROX_PROXSENSE) >> 2)+4;
}

void main()
{
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
	clear_screen();
	init_dma();
	PWM_2_Start();
	PWM_3_Start();
	PWM_1_Start();

	CYGlobalIntEnable;
	CapSense_1_Start();
	CapSense_1_CSHL_InitializeAllBaselines();
	prox_adjust();
	paddle_p = 0;
	paddle_c = 0;
	while(1) {
		score = 0;
		init_screen();
		paddle();
		py=48;
		while(1) {
			px=64;
			ppx = px;
			ppy = py;
			dir = 6;
			pset(px,py,3);
			while (!(SW_IN_Read()))
				paddle();
			while (SW_IN_Read())
				paddle();
			if (!(bounds()))
				break;
		}
	}
}

/* [] END OF FILE */
